#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x288396f2, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xb41dd891, "_gpl");
SYMBOL_CRC(ahci_ops, 0x2fc07255, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x98466cde, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xc7bfa593, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x359a71de, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x9fe4aa4c, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xdbdd898f, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x3b279c94, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xdeb55192, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x5dd4aa9d, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xcee2e162, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xa8faf295, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x367a5a6d, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x9295eaad, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x37a88881, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xea820a7f, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xa3b9fd75, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x92691d25, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xd5f294a4, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xffc70fd5, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x941b559f, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x94e39e8a, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x5dab4122, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x652b3412, "ata_std_qc_defer" },
	{ 0x94800185, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0x3300e3d2, "ata_port_classify" },
	{ 0x9e0ae77c, "ata_qc_complete_multiple" },
	{ 0xc12cce22, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe1ab0be1, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1abfac44, "ata_host_start" },
	{ 0x34705e9a, "devm_request_threaded_irq" },
	{ 0x577f2848, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6b21747d, "ata_host_register" },
	{ 0x2292503d, "ata_host_activate" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x5dc6c179, "ata_dummy_port_ops" },
	{ 0x7fae3b23, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0xe53912ab, "dmam_alloc_attrs" },
	{ 0xab378118, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xdf254d3d, "sata_link_hardreset" },
	{ 0xb4aafc93, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8a58ac60, "ata_ehi_clear_desc" },
	{ 0x4f39c8bc, "ata_ehi_push_desc" },
	{ 0xbbd4dc22, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4be00fa3, "ata_port_abort" },
	{ 0x49463cb0, "sata_lpm_ignore_phy_events" },
	{ 0x1cae6642, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x19526eed, "sata_pmp_port_ops" },
	{ 0xe0fd4042, "dev_attr_sw_activity" },
	{ 0x19527ae, "dev_attr_unload_heads" },
	{ 0x331fa0e0, "dev_attr_ncq_prio_supported" },
	{ 0x22d5c817, "dev_attr_ncq_prio_enable" },
	{ 0x2855ab67, "dev_attr_link_power_management_policy" },
	{ 0xfaf60fc4, "dev_attr_em_message_type" },
	{ 0xd4182427, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaf965ef9, "__pm_runtime_resume" },
	{ 0x6a9e70b9, "__pm_runtime_idle" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4559035, "ata_link_next" },
	{ 0xece0895d, "ata_wait_register" },
	{ 0xf29bb70c, "ata_dev_set_feature" },
	{ 0x4075a74a, "_dev_info" },
	{ 0xd65cfee6, "sata_link_scr_lpm" },
	{ 0xbe51b3d0, "ata_msleep" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0xe6df508b, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
