#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x4337ab49, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xca2b7940, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xf2390782, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x3971ece9, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x4ecff40f, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xf5b7b4c8, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x5e0a81b0, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xad24ef97, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xae50af8b, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xe836018d, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x70eae36e, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xfac3c827, "_gpl");
SYMBOL_CRC(mhi_notify, 0xe9b8c5af, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x3f9be560, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x0391d0bc, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x636ab5b8, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x29a209be, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xd645d224, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x3fe31b5e, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x55c9be91, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xd2fe2f39, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xe1e626f3, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xd0067bb5, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xfe3840d7, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x102a01c3, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x1c6815c3, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x334f35b9, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xc365093b, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x1b4b2bbf, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x1f589483, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x41e3a421, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xc1b02d75, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xc94d83c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7ad30e4, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ab7e33, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb8c159ce, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa84a3b52, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x4e1ea489, "dma_unmap_page_attrs" },
	{ 0x7209dda3, "request_firmware" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0x5ead22f7, "device_initialize" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8e65830c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x981ff170, "bpf_trace_run2" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0x2d8690bb, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xab378118, "dev_driver_string" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46ea1fba, "dma_map_page_attrs" },
	{ 0x5bf1d0bf, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd64cfae8, "put_device" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0x2bf6196f, "sysfs_remove_file_ns" },
	{ 0xad27aed, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4075a74a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1117c9e8, "perf_trace_run_bpf_submit" },
	{ 0x89be8907, "bus_unregister" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0xfd792505, "device_wakeup_enable" },
	{ 0x6d811b9c, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0xd182ba52, "dma_alloc_attrs" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x52690ea, "ida_free" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x165fb0c, "device_del" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xce7ac711, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11e543f8, "rt_read_lock" },
	{ 0x42ac8c75, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd8c3205b, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa2cf07a9, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xf4f46189, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.7");
