#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x8b370ee4, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x56eb005f, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0x2996a733, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x2d8c77f3, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0x06d4534c, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x3ff35112, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0xef748acf, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0xa3433016, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0x56fafb75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4075a74a, "_dev_info" },
	{ 0x45366f6e, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x195a18a0, "sysfs_remove_link" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x26d3c480, "synchronize_srcu" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8c699224, "module_put" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x795d018, "device_create_file" },
	{ 0xf07aac76, "device_remove_file" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x3dd2be12, "rt_spin_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x277cb2de, "platform_bus_type" },
	{ 0xe2c0b15e, "param_ops_uint" },
	{ 0xbb886476, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74794411, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x98da8244, "platform_device_unregister" },
	{ 0x52690ea, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x96ce9c9f, "panic_notifier_list" },
	{ 0xce858e85, "atomic_notifier_chain_unregister" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0x213da488, "mutex_lock" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x92165b11, "init_srcu_struct" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x696c0c54, "atomic_notifier_chain_register" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8c61938d, "__srcu_read_lock" },
	{ 0xe1a2c11c, "__srcu_read_unlock" },
	{ 0xc94b537a, "driver_find_device" },
	{ 0xd64cfae8, "put_device" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0xe9d2e683, "platform_device_register" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A772B10D8F1C4D580F041E4");
MODULE_INFO(rhelversion, "9.7");
