#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x69495cad, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x7a97574e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x0c80a07c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x040883ca, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xaaab5807, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xe3e37066, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x9af6abac, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x0d860132, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x8d86f085, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x98399c8a, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x2b710ba3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x2467d1f9, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x8b2b4ec9, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x7b123b59, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x55b9d50b, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x8c024afc, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x381fd389, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x1756c144, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x2d3cd427, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x1a9d3c67, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xb9e0d63a, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x58958504, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x15b7b955, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x8f8c957f, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x96e131d1, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x06c17abe, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x62596642, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xf0caab91, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x9d7a65e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xab7fdc53, "regmap_read" },
	{ 0x4075a74a, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x55a84d5d, "regmap_update_bits_base" },
	{ 0xb661aa3c, "regmap_write" },
	{ 0x1af8c893, "regmap_multi_reg_write" },
	{ 0x5f2ca68, "regmap_bulk_read" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x56ea474b, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf444dbb, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0xc78af5fd, "regmap_async_complete" },
	{ 0x3ed32712, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0x3f77ff20, "seq_lseek" },
	{ 0x69accb86, "seq_read" },
	{ 0xf64817c1, "single_release" },
	{ 0x1fa06d8a, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfba4a60c, "debugfs_create_dir" },
	{ 0xa427fe3c, "debugfs_create_bool" },
	{ 0x71310a75, "debugfs_create_x32" },
	{ 0x1c69aed5, "debugfs_create_file" },
	{ 0x4192edb2, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x213da488, "mutex_lock" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0x714078c4, "regmap_raw_write" },
	{ 0xff0a16af, "regmap_raw_read" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");
MODULE_INFO(rhelversion, "9.7");
