#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xd8532217, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xcfe341e2, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xf490070a, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x316ffdd7, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xe377cffa, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x9370a924, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x193525cb, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xdfa9a82c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xc5267849, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x54851be1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x614cd759, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xe0436e21, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x1949ee08, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xb1fbdc25, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x7f01384c, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x717ba599, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x7e381c09, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x450941c4, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x67021d26, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x833d45ea, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x88771688, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xda515d76, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x68aab657, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x78c524be, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x4381eb43, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x03c81e2a, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x215d2ece, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x06aca55b, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xf2cd320b, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xfb92ad56, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x61c5111a, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x699d8792, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x2ddd8eab, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xcf44fe6e, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xfd280bb3, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6f6893db, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xd25d0880, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x37690a41, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x9d380a4b, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xb2143d5f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x7cbe021e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x2a081583, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x9bee0a4e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xf983a00d, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xe0d58f5c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xaa8fb5dc, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x10af88db, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x3303bbb8, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xdca0bbb3, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x0b011610, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xb22599c3, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x28774cb4, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x37352998, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xcf43a804, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x38d7ea95, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xc1de5d20, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x801b7db5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x0684889b, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x78d0bfb1, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x79cf4e36, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xa89e69aa, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x63db42a7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x06144b61, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x2c7cdeb2, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xfdf87c2d, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x5d57b6c9, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x41fbed19, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x49574a9f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xcbbef5df, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xd13b3ce9, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x4cf0dfc4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x5932d9c4, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x123aaf8e, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xffdefa61, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xfc6bcfc5, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xbfe8a406, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x83ca58f7, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x869321d4, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x0b6b390e, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x38809feb, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x86f6f48a, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc8f84b0b, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x272e1ba9, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xca176352, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x13b669a4, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xc88c21bf, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x15d041c3, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x454cb5a0, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xaed57386, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x905f72be, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xe4ffa3c5, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x3838300d, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xb9fbe80c, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x1ce640b2, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x0c4be2bf, "");
SYMBOL_CRC(drm_flip_work_queue, 0x46c8c17c, "");
SYMBOL_CRC(drm_flip_work_commit, 0x2bf6fdc1, "");
SYMBOL_CRC(drm_flip_work_init, 0x063b2365, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xa8601d63, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xb895ee87, "");
SYMBOL_CRC(drm_fb_swab, 0xca4a4d6c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x6f85855f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xf8469e7a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x5fc9f007, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x29f09157, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xa3508e61, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x70484bc6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x3567badc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x6b848b9a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x24db77b2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xf837d3b2, "");
SYMBOL_CRC(drm_fb_blit, 0x9996a8ba, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x9becde84, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x7a712e4a, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x9d6368b5, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x09a78ac3, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x422a690f, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xe48e9973, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x1ab125db, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xd887e6dd, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x633a150d, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x59a8d1dd, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xb8e896ff, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x09f27dfb, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe157e834, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x1fce8d51, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xd2d6dd67, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x6de9585e, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x768955ab, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xb403ca0d, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xa0ea41c6, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x4887ac94, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xfcfdd01d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x080da578, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x0b212978, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x6f0614ce, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xf83aeb20, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x7e4eeca4, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x718e4a58, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x82e8b00b, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x85f9f202, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x998f711b, "");
SYMBOL_CRC(drm_crtc_init, 0x09c9b652, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x18eb78e1, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x0a06feef, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x464602f4, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x216b4555, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xc7f186bd, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x061a9415, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x24c32e10, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd041448c, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xed1337ef, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x69bc017d, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x1570b676, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xba53611b, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xa6f9348d, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x9f6d0c31, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xf7eaa801, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb80be6e5, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xd28b076b, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xe4ff4dc0, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xf757be92, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xad3b74de, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0619e229, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xc54723b6, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x61100057, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xcb53dafd, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x79fbec63, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x1a9e7f13, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xdb96b213, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x4ecef1e3, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x64fbbc08, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x2add8b78, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xeca58b9f, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x8ea948aa, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x640683de, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x89e0715e, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x8ef8faff, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xd3a4aa07, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xdc90246e, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xdc5091bc, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x233e489b, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xb50a92a0, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xda2cf28c, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xbf02f94f, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x337cccc4, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xa6e2ef95, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x159f9b1b, "");
SYMBOL_CRC(drm_fb_helper_init, 0x70c8d45f, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xc0fd29db, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x932bcbd0, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xd495a2dd, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x74abefac, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x1b35d5e2, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x1a34447b, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x2ef0e1e9, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x26e913cb, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x6bc2ff7c, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x8df5dfe8, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xa967ce50, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x487e159d, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x08d485bf, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xb291a0dd, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x097dff37, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xdae2e5d6, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xed88f114, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x7b8b422b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1c339b0, "unregister_framebuffer" },
	{ 0x9b0fe347, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xc5bceb49, "drm_framebuffer_cleanup" },
	{ 0x87ce6ac9, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbbdda437, "drm_panel_get_modes" },
	{ 0xfd2cd57e, "drm_gem_vmap_unlocked" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xf302301e, "drm_connector_list_update" },
	{ 0x1bfba43d, "drm_bridge_add" },
	{ 0x4e6fbf69, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xc9684179, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1daceb5f, "drm_client_rotation" },
	{ 0xaf33af48, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x33b6946f, "drm_framebuffer_init" },
	{ 0x1334eedd, "drm_mode_validate_driver" },
	{ 0x3ed0a098, "drm_atomic_add_affected_planes" },
	{ 0xf3156d5f, "dma_buf_end_cpu_access" },
	{ 0xdae4c6c5, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xda3930ae, "drm_mode_probed_add" },
	{ 0xa343ce28, "drm_atomic_add_affected_connectors" },
	{ 0x28afbc8b, "drm_gem_vunmap_unlocked" },
	{ 0x437306a7, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xb2866c81, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x90762b80, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd63f92de, "drm_mode_object_get" },
	{ 0x5d4e7c2b, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x971fcc3, "drm_driver_legacy_fb_format" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x1532c998, "drm_crtc_cleanup" },
	{ 0xf474d421, "drm_connector_list_iter_begin" },
	{ 0x63206f57, "drm_mode_set_config_internal" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x839b4e46, "framebuffer_alloc" },
	{ 0xba9b643d, "drm_encoder_cleanup" },
	{ 0xd9cbf364, "drm_modeset_acquire_init" },
	{ 0x9d385724, "dma_fence_set_deadline" },
	{ 0xcb2d48c1, "drm_client_modeset_probe" },
	{ 0x3f8ba79b, "drm_warn_on_modeset_not_all_locked" },
	{ 0x60445aa, "drm_plane_get_damage_clips" },
	{ 0x1f45e5f1, "devres_add" },
	{ 0x7a7a4b3, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14fc6d7, "drm_add_modes_noedid" },
	{ 0xfcf1718f, "drm_bridge_remove" },
	{ 0x4b44a9c3, "drm_mode_object_put" },
	{ 0xab378118, "dev_driver_string" },
	{ 0x13a8cb29, "drm_crtc_vblank_get" },
	{ 0x60a38280, "drm_gem_object_lookup" },
	{ 0xd0530947, "drm_crtc_send_vblank_event" },
	{ 0xc13b57fc, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce48f85, "drm_atomic_normalize_zpos" },
	{ 0x6bb07085, "drm_edid_connector_update" },
	{ 0x36c1bc8d, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe2140db6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb91a96a6, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x6e0673c9, "drm_connector_list_iter_end" },
	{ 0xf57baf8e, "drm_atomic_set_crtc_for_plane" },
	{ 0x379b9f97, "drm_client_modeset_dpms" },
	{ 0x15b9d43c, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa60620bf, "drm_client_dev_hotplug" },
	{ 0x4075a74a, "_dev_info" },
	{ 0xa0a600b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x8809694f, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x8c699224, "module_put" },
	{ 0x11592c46, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xeeb4f16b, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa3365f36, "drm_client_init" },
	{ 0x5069e3f3, "drm_crtc_wait_one_vblank" },
	{ 0x90e982e0, "drm_crtc_next_vblank_start" },
	{ 0xfd6b3c32, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x835b9b17, "drm_modeset_lock" },
	{ 0x5fb80a93, "drm_client_modeset_commit_locked" },
	{ 0xca39bebc, "drm_modeset_unlock" },
	{ 0xecdc6889, "drm_panel_disable" },
	{ 0x3efcb12f, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81328f27, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x85bf030d, "drm_writeback_cleanup_job" },
	{ 0x6f18cb0f, "drm_modeset_lock_all_ctx" },
	{ 0xb40313ae, "i2c_unregister_device" },
	{ 0x357dddff, "drm_atomic_set_fb_for_plane" },
	{ 0xcae04051, "__drm_universal_plane_alloc" },
	{ 0x20a71343, "drm_edid_connector_add_modes" },
	{ 0x2450c4fc, "drm_probe_ddc" },
	{ 0x213da488, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x297504d6, "__devres_alloc_node" },
	{ 0x5627c18c, "drm_edid_read" },
	{ 0x87f0a049, "drm_crtc_commit_wait" },
	{ 0x4dfb463a, "drm_dev_has_vblank" },
	{ 0xb393f8ae, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x39c07952, "__drm_atomic_helper_disable_plane" },
	{ 0xb1530990, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x37a305a6, "drm_gem_handle_create" },
	{ 0x85526e9a, "drm_atomic_set_crtc_for_connector" },
	{ 0x8ecfb783, "drm_analog_tv_mode" },
	{ 0x15626a17, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x8dc003c2, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x66f06bb4, "drm_crtc_vblank_put" },
	{ 0x461d4b3e, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xcdfc3ede, "__drm_dev_dbg" },
	{ 0x672e274b, "drm_plane_get_damage_clips_count" },
	{ 0x6eeb3d31, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xc331e0b9, "drm_atomic_state_alloc" },
	{ 0x7a1dbb6d, "drm_client_modeset_commit" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0xa4dea75d, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf5b39d1d, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x33165304, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x915d4b55, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xbc102d61, "drm_client_release" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x136527db, "__drm_atomic_helper_set_config" },
	{ 0x56660f0c, "mutex_trylock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x1fb4d8c, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xdf4174e, "drm_connector_cleanup" },
	{ 0x389905ca, "drm_get_format_info" },
	{ 0x373c5755, "drm_universal_plane_init" },
	{ 0xdfdbae9c, "drm_any_plane_has_format" },
	{ 0x39d3fea0, "drm_connector_list_iter_next" },
	{ 0x22230ca3, "drm_modeset_acquire_fini" },
	{ 0x8ca44602, "drm_encoder_init" },
	{ 0x82b5fbb5, "drm_object_property_get_default_value" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x91baf4bc, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf1809d6d, "drm_modeset_backoff" },
	{ 0x8081a8d6, "drm_panel_prepare" },
	{ 0x89592059, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xee764455, "drm_atomic_get_plane_state" },
	{ 0x769b04c3, "drm_atomic_bridge_chain_check" },
	{ 0x34af30c3, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xcde45090, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xf8a184f0, "drm_property_blob_put" },
	{ 0x49be28df, "drm_mode_destroy" },
	{ 0xbea62b69, "drm_bridge_attach" },
	{ 0xce19212c, "drm_set_preferred_mode" },
	{ 0x9e9c6ab0, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xc869f27c, "drm_atomic_state_clear" },
	{ 0xe5a14ffe, "drm_mode_config_reset" },
	{ 0x857af511, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x5a0251b5, "drm_modeset_drop_locks" },
	{ 0x1296e35a, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xe22f9eaa, "drm_atomic_bridge_chain_disable" },
	{ 0xe3029997, "drm_mode_create_from_cmdline_mode" },
	{ 0x5bdf334b, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0xdd5fd981, "drm_atomic_nonblocking_commit" },
	{ 0xfba4a60c, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xbc88874e, "drm_master_internal_release" },
	{ 0x15b5bfa7, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x7e6269b3, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xd6d8bfa1, "drm_atomic_add_encoder_bridges" },
	{ 0xaabad77f, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3da3a442, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.7");
