#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xf85deecf, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x36cb96c1, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xc8899eb9, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x8af93389, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x786b876d, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x6f6b432e, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xb1b5ac37, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x75780211, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x88a0f1c0, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x9cb3d29b, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x0926cc99, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x51f165d1, "_gpl");
SYMBOL_CRC(dm_get_md, 0xd191862b, "_gpl");
SYMBOL_CRC(dm_hold, 0x775ee7d8, "_gpl");
SYMBOL_CRC(dm_device_name, 0xe6147f77, "_gpl");
SYMBOL_CRC(dm_put, 0x03be4cd5, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x77d7eef6, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x02cbda25, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xd8134b54, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xfe9aa50e, "_gpl");
SYMBOL_CRC(dm_disk, 0x6f456799, "_gpl");
SYMBOL_CRC(dm_suspended, 0x47558391, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x361929aa, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xe2ef4387, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x02d63a7e, "");
SYMBOL_CRC(dm_put_device, 0xfff7eb52, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x8f679988, "_gpl");
SYMBOL_CRC(dm_table_event, 0x34ee5ae3, "");
SYMBOL_CRC(dm_table_get_size, 0x731d214c, "");
SYMBOL_CRC(dm_table_get_mode, 0x914875ab, "");
SYMBOL_CRC(dm_table_get_md, 0x06d22415, "");
SYMBOL_CRC(dm_table_device_name, 0x5ad227a9, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x224f6bca, "");
SYMBOL_CRC(dm_register_target, 0x98321ae2, "");
SYMBOL_CRC(dm_unregister_target, 0x8f17278a, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x925b0ae2, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x84b1593c, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x2936031e, "");
SYMBOL_CRC(dm_kcopyd_zero, 0xe8ea5d42, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x373790bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3a122d5, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xa6ca63d8, "set_disk_ro" },
	{ 0xc85d3cce, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x926f3f23, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc353f1b2, "__init_rwsem" },
	{ 0xf7658971, "misc_deregister" },
	{ 0xd7a18ec7, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xe2c0b15e, "param_ops_uint" },
	{ 0xbb886476, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x37e06669, "bio_split_to_limits" },
	{ 0xcd6faf64, "vmalloc_to_page" },
	{ 0x9fc1337c, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x417701cb, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xec5791e1, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x492a3dc8, "idr_replace" },
	{ 0x6f7cbb30, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x871f39be, "mempool_init" },
	{ 0x4c6d705c, "blk_rq_prep_clone" },
	{ 0xaa724d5f, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x359cba1e, "prepare_to_wait" },
	{ 0xfa094b8, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2433914b, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0xedb802ff, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x26d3c480, "synchronize_srcu" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0x3b6dddf4, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf58cc393, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xabb6a01e, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xf571451e, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x71d7205b, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x8346c924, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x78302630, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x108864d3, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8bb7b06, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xa32f0414, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xe482fedf, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x652362a9, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x236b16fa, "kmalloc_node_trace" },
	{ 0xd14fd7a8, "__SCK__tp_func_block_split" },
	{ 0x144fee22, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xee5a2d6d, "__free_pages" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe518bdd, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8fd91cab, "submit_bio" },
	{ 0x8c699224, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9964846a, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x27f21bdd, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x3ed3cd6e, "kobject_uevent_env" },
	{ 0x4cb7cb5c, "bio_put" },
	{ 0xfd37f17f, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x92165b11, "init_srcu_struct" },
	{ 0xf819166f, "__SCK__tp_func_block_bio_remap" },
	{ 0xb14360b3, "fput" },
	{ 0x3120a98e, "down_write" },
	{ 0x1ed31c5b, "blk_revalidate_disk_zones" },
	{ 0x923c4f07, "up_write" },
	{ 0xb37ca162, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8c61938d, "__srcu_read_lock" },
	{ 0x9e796b58, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xffaa635f, "set_capacity" },
	{ 0x83463394, "submit_bio_noacct" },
	{ 0x27603aea, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0x7bebc2d8, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf78c76eb, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x51623755, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x388f1ebf, "kobject_init_and_add" },
	{ 0xbeb7e08e, "zero_fill_bio_iter" },
	{ 0x57c8bd49, "bio_add_page" },
	{ 0x62af2fb0, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5465d99, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5d73d257, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x74794411, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbdbd5986, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x7bdefa11, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x1d6f2467, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf4e6444b, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x76abf71a, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bd663cf, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x91d5109a, "blk_insert_cloned_request" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ba4112b, "down_read" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5e51075, "audit_log_start" },
	{ 0x9f30f5f7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a78ad06, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3501b39c, "bio_uninit" },
	{ 0x55bc0c65, "crypto_shash_final" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x3996cb23, "bioset_init" },
	{ 0x513509e5, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf55b6907, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe1a2c11c, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x86741ecf, "__tracepoint_block_bio_remap" },
	{ 0x9eb5587e, "__tracepoint_block_rq_remap" },
	{ 0xacede94b, "bd_link_disk_holder" },
	{ 0x773e9e42, "blk_mq_start_request" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xf1dab15a, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x42c14573, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5bb50ee8, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xca93d24e, "blk_zone_plug_bio" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0xf76b21ea, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xa5bbfc4b, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x1e81fcfc, "queue_limits_set" },
	{ 0xa4ef29e9, "bio_alloc_bioset" },
	{ 0xeb42ec49, "up_read" },
	{ 0x6701c917, "blk_mq_requeue_request" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x5c2a5e56, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x35333ac9, "bdev_end_io_acct" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xc2a6398a, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x617e7ba4, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.7");
