#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x3a8d2ede, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xa7fdbbca, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4da55520, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x61d24b34, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x3a7ce09d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x1b67bb87, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5eb238, "mdiobus_alloc_size" },
	{ 0x95e70ff4, "__tracepoint_xdp_exception" },
	{ 0xf9680bd1, "xsk_tx_completed" },
	{ 0x2363f737, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf62cf151, "xp_alloc" },
	{ 0x57b1186f, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x44f077ae, "bpf_prog_put" },
	{ 0x7ad30e4, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa0f236ec, "xp_dma_map" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0xe9bdadfe, "eth_mac_addr" },
	{ 0x1cc44685, "skb_put" },
	{ 0x35d6c894, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe12150b1, "netdev_update_features" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x219ee722, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe61248f5, "hrtimer_try_to_cancel" },
	{ 0xb4247292, "bpf_warn_invalid_xdp_action" },
	{ 0x4b326901, "unregister_netdev" },
	{ 0x40933715, "xdp_convert_zc_to_xdp_frame" },
	{ 0xdda6860b, "xdp_features_set_redirect_target" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x4e1ea489, "dma_unmap_page_attrs" },
	{ 0xb4382fee, "hrtimer_init" },
	{ 0x91e0eae6, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xa60a9fb9, "ptp_clock_index" },
	{ 0x51637f5a, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3f77ff20, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x615c3d8b, "page_pool_destroy" },
	{ 0xa5f301f5, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd5d4b892, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x1b2c9f9f, "flow_rule_match_ipv4_addrs" },
	{ 0x566b9476, "xdp_rxq_info_unreg_mem_model" },
	{ 0x1f75a29c, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xceed9cbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e0c8f39, "phylink_limit_mac_speed" },
	{ 0x586db5ce, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xab378118, "dev_driver_string" },
	{ 0x9049b02, "pinctrl_pm_select_default_state" },
	{ 0x63c91c85, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xea4b7f96, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e8d4c38, "__pm_runtime_set_status" },
	{ 0x46ea1fba, "dma_map_page_attrs" },
	{ 0xe0574b47, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xce291cd, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5bf1d0bf, "pm_wakeup_dev_event" },
	{ 0x218d5d84, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc00664d6, "__napi_schedule" },
	{ 0x383a25fb, "pm_runtime_enable" },
	{ 0xe6723911, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4a4c8bf8, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa296a0d5, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xad27aed, "rt_write_unlock" },
	{ 0x4075a74a, "_dev_info" },
	{ 0xaede9e96, "xpcs_create_mdiodev" },
	{ 0xd4503ce9, "napi_gro_receive" },
	{ 0x480dc130, "netif_device_attach" },
	{ 0x5c2b6e3a, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7e0109da, "netdev_pick_tx" },
	{ 0x6f6dac05, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfbaa6b06, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5ac0eac2, "xdp_rxq_info_is_reg" },
	{ 0x2b0a409b, "devm_alloc_etherdev_mqs" },
	{ 0xd27cc9cb, "flow_block_cb_setup_simple" },
	{ 0x2e2e8e2f, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xf3547d5d, "dev_open" },
	{ 0xe6af0fc1, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x1fe5562, "xpcs_destroy" },
	{ 0x32f6182e, "pinctrl_pm_select_sleep_state" },
	{ 0x41d39bab, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x18fbdda4, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x250a9647, "ptp_clock_register" },
	{ 0xc3b65957, "xsk_tx_peek_desc" },
	{ 0xb90751da, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x298f80c5, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xe015f9b2, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x213da488, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xd182ba52, "dma_alloc_attrs" },
	{ 0xf444dbb, "debugfs_remove" },
	{ 0xd501c8e5, "napi_enable" },
	{ 0xb60d0d9a, "xsk_clear_rx_need_wakeup" },
	{ 0xed020d8d, "xpcs_get_interfaces" },
	{ 0x7bb2b152, "xsk_uses_need_wakeup" },
	{ 0x68931928, "register_netdev" },
	{ 0xd2bec048, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe7780cce, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x27dc3c79, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9bc60581, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x8a6fb2ff, "__SCK__tp_func_xdp_exception" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x7b233ff5, "netif_tx_wake_queue" },
	{ 0xa69e1687, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1b4a519, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0xd36e4823, "flow_rule_match_ports" },
	{ 0xf3d69b9, "phylink_fwnode_phy_connect" },
	{ 0xae8de53f, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x33f0d0d9, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x348211da, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2d250295, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x97dd0e96, "ptp_clock_unregister" },
	{ 0xc74b58c0, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x295088b7, "xpcs_get_an_mode" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8a43bae1, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86e234ec, "xdp_return_frame_rx_napi" },
	{ 0xd5abd22f, "netdev_alert" },
	{ 0x5808f7, "dma_set_coherent_mask" },
	{ 0x69accb86, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xecc21607, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x11e543f8, "rt_read_lock" },
	{ 0x9f4a05f4, "debugfs_rename" },
	{ 0x1c69aed5, "debugfs_create_file" },
	{ 0x4fbaaa07, "xsk_set_tx_need_wakeup" },
	{ 0x42ac8c75, "dma_free_attrs" },
	{ 0xaf965ef9, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8bad1478, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9214fd65, "xp_set_rxq_info" },
	{ 0xf34078d6, "flow_rule_match_vlan" },
	{ 0x2967b504, "xdp_rxq_info_unreg" },
	{ 0x23100215, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xce1da46, "__xdp_rxq_info_reg" },
	{ 0xd8c3205b, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ff72e0d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x900e3350, "mdiobus_get_phy" },
	{ 0xba1e1c5b, "netif_carrier_on" },
	{ 0xa2cf07a9, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xb5668837, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7aa4bc6f, "hrtimer_cancel" },
	{ 0xfdf568c2, "xp_free" },
	{ 0xf64817c1, "single_release" },
	{ 0xd907a37a, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x60f7698f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xc4ca5d8f, "xdp_master_redirect" },
	{ 0x2f78a130, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x3c49acfb, "napi_schedule_prep" },
	{ 0xf9d7276a, "napi_disable" },
	{ 0x9714616, "dev_kfree_skb_any_reason" },
	{ 0x8346aa6d, "eth_header_parse_protocol" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0x4192edb2, "single_open" },
	{ 0x5702e6ad, "__pm_runtime_disable" },
	{ 0xfba4a60c, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xd0b82e23, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x6a9e70b9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dc01c76, "ethtool_op_get_ts_info" },
	{ 0x127a44df, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb1ac3160, "__dev_fwnode" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xb60c7196, "netdev_info" },
	{ 0xffd67efb, "page_pool_put_unrefed_page" },
	{ 0xd3c8595d, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.7");
