#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x8b072f6b, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xedff0df3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5a96888, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x35d6c894, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x69049feb, "___pskb_trim" },
	{ 0xcc9ea6d9, "__skb_get_hash_symmetric_net" },
	{ 0xa9f7bb80, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xd67e860e, "sock_init_data_uid" },
	{ 0x8754c383, "sk_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4503ce9, "napi_gro_receive" },
	{ 0xe0574b47, "napi_complete_done" },
	{ 0xa5f301f5, "xdp_do_redirect" },
	{ 0xb4247292, "bpf_warn_invalid_xdp_action" },
	{ 0x95e70ff4, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x86e234ec, "xdp_return_frame_rx_napi" },
	{ 0x40933715, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc50ea29f, "build_skb" },
	{ 0x1cc44685, "skb_put" },
	{ 0x2451c83, "skb_set_owner_w" },
	{ 0xa4765f16, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20811aa9, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xc4ca5d8f, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x3c818f27, "__folio_put" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa3cab18, "add_wait_queue" },
	{ 0xb3cf323b, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb506c8ab, "napi_get_frags" },
	{ 0x4786be2c, "iov_iter_single_seg_count" },
	{ 0xad4ba533, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x63c214b7, "skb_queue_purge_reason" },
	{ 0xf9d7276a, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2967b504, "xdp_rxq_info_unreg" },
	{ 0x1f75a29c, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8c699224, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xb90751da, "netif_set_real_num_tx_queues" },
	{ 0x298f80c5, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdc0f4a8b, "unregister_netdevice_queue" },
	{ 0xd265d713, "netdev_state_change" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xd86d98c4, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xdc87380e, "__skb_flow_dissect" },
	{ 0x466fbdf0, "skb_partial_csum_set" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0x7677bd17, "_copy_from_iter" },
	{ 0xa14c7aa8, "iov_iter_npages" },
	{ 0x213da488, "mutex_lock" },
	{ 0xa2684018, "skb_copy_datagram_from_iter" },
	{ 0xea4b7f96, "eth_type_trans" },
	{ 0x4232670d, "sock_alloc_send_pskb" },
	{ 0x460fd744, "zerocopy_sg_from_iter" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x5dba2cbb, "do_xdp_generic" },
	{ 0xc619709b, "iov_iter_revert" },
	{ 0x7975f200, "skb_push" },
	{ 0x28f81c87, "eth_get_headlen" },
	{ 0x3c49acfb, "napi_schedule_prep" },
	{ 0x15b76347, "napi_gro_frags" },
	{ 0xc00664d6, "__napi_schedule" },
	{ 0x1a936dfb, "__page_frag_cache_drain" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x5ac0eac2, "xdp_rxq_info_is_reg" },
	{ 0xce1da46, "__xdp_rxq_info_reg" },
	{ 0x63c91c85, "xdp_rxq_info_reg_mem_model" },
	{ 0x219ee722, "netif_napi_add_weight" },
	{ 0xd501c8e5, "napi_enable" },
	{ 0xf098136e, "lock_sock_nested" },
	{ 0xfe6f513e, "sk_attach_filter" },
	{ 0x4be5a941, "release_sock" },
	{ 0x753012de, "__dev_get_by_name" },
	{ 0xa26af306, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5d690b23, "alloc_netdev_mqs" },
	{ 0x28625821, "ip_tunnel_header_ops" },
	{ 0xfbe7a2f8, "register_netdevice" },
	{ 0x7b233ff5, "netif_tx_wake_queue" },
	{ 0x71c081f9, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x10428b52, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4854c887, "get_net_ns" },
	{ 0x337c8627, "open_related_ns" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xee65bd5e, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcd45f404, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x2ceef6d0, "from_kuid" },
	{ 0xb1d1c6ec, "sk_detach_filter" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe12150b1, "netdev_update_features" },
	{ 0x1b7f9767, "dev_set_mac_address_user" },
	{ 0xe725bdbe, "call_netdevice_notifiers" },
	{ 0x895f3b66, "__module_get" },
	{ 0x5e6b6616, "from_kgid" },
	{ 0x17fc2495, "passthru_features_check" },
	{ 0xe9bdadfe, "eth_mac_addr" },
	{ 0x6e369cba, "eth_validate_addr" },
	{ 0x9bc60581, "ethtool_op_get_link" },
	{ 0x1dc01c76, "ethtool_op_get_ts_info" },
	{ 0x8a6fb2ff, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x970d8b32, "fasync_helper" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xd5325bcd, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb60c7196, "netdev_info" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x27bd1cc0, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x21c4987c, "from_kgid_munged" },
	{ 0xdca99715, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6d002799, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe8a96425, "dev_get_tstats64" },
	{ 0x14b1d8b1, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbd3a01ad, "bpf_prog_get_type_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0xa26a9a4, "rtnl_link_register" },
	{ 0x8bd663cf, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf7658971, "misc_deregister" },
	{ 0x3a3f8b45, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x18fbdda4, "xdp_return_frame" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0x928d08e, "__wake_up_sync_key" },
	{ 0xa2843089, "kill_fasync" },
	{ 0xba1e1c5b, "netif_carrier_on" },
	{ 0x9ff72e0d, "netif_carrier_off" },
	{ 0x44f077ae, "bpf_prog_put" },
	{ 0x66a6f5ac, "_copy_to_iter" },
	{ 0x1dc51945, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xccce9093, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xceed9cbf, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe1998328, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xd0b82e23, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x505bde6d, "skb_copy_ubufs" },
	{ 0x84273ae3, "netdev_core_stats_inc" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A61D8AF9C02EAEB79D30D39");
MODULE_INFO(rhelversion, "9.7");
