#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x35eeeba1, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xb31141dd, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x7e17054b, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x56ae1a49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2a2a85d7, "__skb_checksum_complete" },
	{ 0x4f485e46, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0x42f867c2, "__nlmsg_put" },
	{ 0x32cec120, "netdev_adjacent_change_commit" },
	{ 0xe9bdadfe, "eth_mac_addr" },
	{ 0x1cc44685, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe535d8bf, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xadc2bb01, "ip6_dst_hoplimit" },
	{ 0x6c9761d8, "param_ops_ushort" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0xbcdd19fa, "udp_sock_create4" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x1c2a7f86, "udp_tunnel6_xmit_skb" },
	{ 0xa26a9a4, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9e38bdf4, "__unregister_nexthop_notifier" },
	{ 0x5f9fcdc0, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x6e369cba, "eth_validate_addr" },
	{ 0xbd4ced4f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x954be4aa, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd5443c2f, "rtnl_create_link" },
	{ 0xdc0f4a8b, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3c13f7da, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x71c081f9, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x949e3439, "udp_tunnel_drop_rx_port" },
	{ 0xad4ba533, "pskb_expand_head" },
	{ 0x7eda5bc6, "netdev_upper_dev_link" },
	{ 0x364c7a31, "register_pernet_subsys" },
	{ 0xea4b7f96, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6001fdca, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x5fe9c077, "__alloc_skb" },
	{ 0x47590498, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x76b27f36, "eth_gro_complete" },
	{ 0x1738c511, "rtnl_set_sk_err" },
	{ 0x5736c440, "eth_gro_receive" },
	{ 0x523247da, "rtnl_configure_link" },
	{ 0x20a7080d, "skb_tunnel_check_pmtu" },
	{ 0xaaddf846, "udp_tunnel_dst_lookup" },
	{ 0x587e9cba, "rtnl_unicast" },
	{ 0xa120214a, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x48e306b1, "__skb_get_hash_net" },
	{ 0xe5ae3d39, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d976896, "__dev_get_by_index" },
	{ 0x3a3f8b45, "rtnl_link_unregister" },
	{ 0xf9c78383, "ipv6_stub" },
	{ 0x41d39bab, "skb_pull" },
	{ 0x45025552, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x62868fcb, "dev_get_by_index_rcu" },
	{ 0x9fa05253, "gro_cells_receive" },
	{ 0x7975f200, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x86298366, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x10428b52, "free_netdev" },
	{ 0x893f4593, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x49464db, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xf098136e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9bc60581, "ethtool_op_get_link" },
	{ 0x97830d03, "nexthop_find_by_id" },
	{ 0xeadf7acd, "arp_create" },
	{ 0x64b17014, "__ethtool_get_link_ksettings" },
	{ 0x8d17d6ce, "netdev_adjacent_change_prepare" },
	{ 0x2225ecf3, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7f7f9b54, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x70dcdd3b, "rhashtable_free_and_destroy" },
	{ 0xc282d463, "rht_bucket_nested_insert" },
	{ 0x528b41ad, "netdev_adjacent_change_abort" },
	{ 0x7cc688e5, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa2164587, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x3ca8b98, "__iptunnel_pull_header" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xe8a96425, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xcd2c731c, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd7d40590, "rhashtable_destroy" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xe36cab0e, "setup_udp_tunnel_sock" },
	{ 0x753a632c, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7843b9a, "skb_trim" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8a43bae1, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe30cbda2, "skb_scrub_packet" },
	{ 0xb9097dfc, "nexthop_select_path" },
	{ 0x32eb7597, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x85b26b9f, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x90d4a67c, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x5129dd94, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa5335943, "rtnl_notify" },
	{ 0x13f7b0b0, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x75423f6a, "__netif_rx" },
	{ 0xbfc935be, "skb_clone" },
	{ 0x86b30333, "metadata_dst_alloc" },
	{ 0xad49da95, "dst_release" },
	{ 0xe3b9389f, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x81652a02, "udp_tunnel_notify_del_rx_port" },
	{ 0xcdeb3f04, "register_nexthop_notifier" },
	{ 0x42e6dac0, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf4c5379e, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84273ae3, "netdev_core_stats_inc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xb60c7196, "netdev_info" },
	{ 0xe7876785, "neigh_lookup" },
	{ 0x4be5a941, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfbe7a2f8, "register_netdevice" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.7");
