#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x744244a1, "");
SYMBOL_CRC(ntb_unregister_client, 0xd428d51d, "");
SYMBOL_CRC(ntb_register_device, 0xb520990d, "");
SYMBOL_CRC(ntb_unregister_device, 0xe2ac5fe9, "");
SYMBOL_CRC(ntb_set_ctx, 0x51c1633c, "");
SYMBOL_CRC(ntb_clear_ctx, 0x1c7c9e4b, "");
SYMBOL_CRC(ntb_link_event, 0x7bc89714, "");
SYMBOL_CRC(ntb_db_event, 0x61ee33f8, "");
SYMBOL_CRC(ntb_msg_event, 0x617e8862, "");
SYMBOL_CRC(ntb_default_port_number, 0x540a6b8f, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x2ebd1833, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x54dc4d09, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x7d2b0f6a, "");
SYMBOL_CRC(ntb_msi_init, 0xf9b582b8, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xf5033af8, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x53e896ba, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xe2c1e232, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x6ba8111e, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x25bf5d68, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0xec384a4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x34705e9a, "devm_request_threaded_irq" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa84a3b52, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x4912c217, "devm_iounmap" },
	{ 0xa4305749, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xd2307710, "devres_destroy" },
	{ 0x89f246a5, "msi_unlock_descs" },
	{ 0xced9707b, "devm_ioremap" },
	{ 0x2d8690bb, "get_device" },
	{ 0x8b81ded9, "msi_lock_descs" },
	{ 0x1f45e5f1, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd64cfae8, "put_device" },
	{ 0x26382c56, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x89be8907, "bus_unregister" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0x3a27da1, "irq_get_irq_data" },
	{ 0x297504d6, "__devres_alloc_node" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0xe900d53, "device_register" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4a82f03, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5a3231bf, "msi_next_desc" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0xf4f46189, "bus_register" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.7");
