#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x250a9647, "");
SYMBOL_CRC(ptp_clock_unregister, 0x97dd0e96, "");
SYMBOL_CRC(ptp_clock_event, 0x33f0d0d9, "");
SYMBOL_CRC(ptp_clock_index, 0xa60a9fb9, "");
SYMBOL_CRC(ptp_find_pin, 0x837bad59, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x7598ac37, "");
SYMBOL_CRC(ptp_schedule_worker, 0xe9533c4d, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x92ea7d9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x967f8aae, "kthread_create_worker" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x8605fac, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa84a3b52, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xc39087ee, "pps_register_source" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xffce2e1e, "class_destroy" },
	{ 0x5ead22f7, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e65830c, "device_for_each_child" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd64cfae8, "put_device" },
	{ 0xf0620ccf, "device_for_each_child_reverse" },
	{ 0x4075a74a, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd72a8904, "kthread_mod_delayed_work" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd004554b, "class_create" },
	{ 0xb0f9061c, "pps_event" },
	{ 0x213da488, "mutex_lock" },
	{ 0x52690ea, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xde290b62, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x6db7a49f, "pps_unregister_source" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xc1fc776, "kthread_destroy_worker" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x7171ddf3, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x76c84192, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xe209da28, "posix_clock_unregister" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "FC8EB417587A522235EF06A");
MODULE_INFO(rhelversion, "9.7");
