#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x94fea65e, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x92b1df58, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x444e2d32, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x73be9f25, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x3d184899, "");
SYMBOL_CRC(fuse_abort_conn, 0x17e9521e, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x377a1196, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x2353c856, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x4a7a3214, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x51ab2ca3, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x086a6db0, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x160c5e44, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xf5c96b1d, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xe931214d, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x789e0405, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xfbf9b162, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x24212a03, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xb104c8a9, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x4e07b3f8, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc0384808, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x9d787e12, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xa699e12f, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xb3a9073d, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x50c1e6a6, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xd3029b2a, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x16363ff9, "");
SYMBOL_CRC(fuse_do_ioctl, 0x49f1aa27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x626a9104, "super_setup_bdi_name" },
	{ 0x31774a53, "posix_test_lock" },
	{ 0x347cb6c0, "truncate_inode_pages" },
	{ 0xdc63249, "generic_copy_file_range" },
	{ 0xd4dbf2b2, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9e1fd645, "pipe_lock" },
	{ 0xe7694c1d, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x44da4969, "vfs_fsync_range" },
	{ 0xadd9f451, "setattr_prepare" },
	{ 0x4b7d46ea, "clear_nlink" },
	{ 0xdcfdcf8c, "file_check_and_advance_wb_err" },
	{ 0xa8deb814, "d_alloc_parallel" },
	{ 0xc353f1b2, "__init_rwsem" },
	{ 0x377f1424, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xf7658971, "misc_deregister" },
	{ 0x7b460d3a, "make_vfsgid" },
	{ 0xb927b21, "clear_inode" },
	{ 0x53824ab4, "inode_to_bdi" },
	{ 0x3174198e, "find_pid_ns" },
	{ 0xddce69bf, "grab_cache_page_write_begin" },
	{ 0xbf849695, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x42365b89, "pipe_unlock" },
	{ 0x3c77d2f5, "fs_param_is_string" },
	{ 0x55cef463, "folio_unlock" },
	{ 0x94562b47, "generic_file_splice_read" },
	{ 0xca91b860, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x8c92173c, "filemap_map_pages" },
	{ 0x41cd8fe7, "dump_page" },
	{ 0x88fc5274, "forget_all_cached_acls" },
	{ 0x49f734a7, "init_special_inode" },
	{ 0x739bccd7, "unregister_filesystem" },
	{ 0x7c961a12, "task_active_pid_ns" },
	{ 0x4786be2c, "iov_iter_single_seg_count" },
	{ 0xb5b46833, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xb326ea9b, "d_alloc_name" },
	{ 0xd5f1e81f, "replace_page_cache_folio" },
	{ 0xabe0c925, "inode_query_iversion" },
	{ 0xccce9093, "iov_iter_advance" },
	{ 0xa2843089, "kill_fasync" },
	{ 0x35b9e276, "d_make_root" },
	{ 0xac81bef6, "sb_set_blocksize" },
	{ 0xd78ffcdc, "fget" },
	{ 0x182fd844, "simple_fill_super" },
	{ 0x312ba4e0, "xas_find" },
	{ 0x76aa3e87, "invalidate_mapping_pages" },
	{ 0x765a3a8d, "sync_filesystem" },
	{ 0x6105665, "sget_fc" },
	{ 0x7515a1ed, "param_set_uint" },
	{ 0x3e31ec17, "d_splice_alias" },
	{ 0x1793339b, "iov_iter_get_pages2" },
	{ 0x82814ed1, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe96ac242, "page_get_link" },
	{ 0x65aa5612, "generic_permission" },
	{ 0xcb087c3c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x747b5d39, "invalidate_inode_pages2_range" },
	{ 0xe781c5ff, "posix_lock_file" },
	{ 0x1a1fa27, "finish_open" },
	{ 0xf7a871ec, "iput" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x262bd170, "logfc" },
	{ 0x9c21377e, "iter_file_splice_write" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x598c5716, "init_pid_ns" },
	{ 0xb5c711, "iov_iter_init" },
	{ 0x46f5fbd4, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x3261d048, "sysfs_create_mount_point" },
	{ 0xe2a741ce, "generic_file_write_iter" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd0f4253c, "register_filesystem" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0x4b7a9ea3, "folio_add_lru" },
	{ 0xe0157aad, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x48ce118c, "sync_inode_metadata" },
	{ 0x8acd1267, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdf5fd925, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7487e412, "shrink_dcache_parent" },
	{ 0xc767866e, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e5d9d0d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd2b9d29, "fs_param_is_u32" },
	{ 0xdc9b8ae2, "inode_newsize_ok" },
	{ 0xe1947d3a, "d_drop" },
	{ 0x12e4b356, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x114e8f68, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x26c3d684, "bdi_put" },
	{ 0x233f2e98, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x15e8b7f3, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0x2e70b051, "truncate_inode_pages_final" },
	{ 0x3ad84712, "fs_kobj" },
	{ 0x833654d0, "__filemap_set_wb_err" },
	{ 0xbb57f2a8, "simple_dir_operations" },
	{ 0xdc074859, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0xee5a2d6d, "__free_pages" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0x420286b8, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x1b676367, "setattr_should_drop_suidgid" },
	{ 0xea1d533f, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8a1a64bd, "copy_page_from_iter_atomic" },
	{ 0xc26441c, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9b8ec50f, "inode_init_once" },
	{ 0x136f95de, "file_write_and_wait_range" },
	{ 0x72af364a, "compat_ptr_ioctl" },
	{ 0x6afd091c, "nosteal_pipe_buf_ops" },
	{ 0x1dd707a, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8415077b, "inode_nohighmem" },
	{ 0xb892f166, "release_pages" },
	{ 0x4b691206, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0xb14360b3, "fput" },
	{ 0x3120a98e, "down_write" },
	{ 0x923c4f07, "up_write" },
	{ 0x603fe64b, "generic_file_read_iter" },
	{ 0x6c878b2c, "inode_maybe_inc_iversion" },
	{ 0x4193c05c, "unlock_page" },
	{ 0xa427939a, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7ef231d2, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e6a984b, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x4893f11, "dec_node_page_state" },
	{ 0x71d64e4a, "write_cache_pages" },
	{ 0x5da1b36f, "file_update_time" },
	{ 0xd6359327, "set_nlink" },
	{ 0x213da488, "mutex_lock" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5e6b6616, "from_kgid" },
	{ 0x970d8b32, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7fabaadc, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x6341130c, "write_inode_now" },
	{ 0xccfed8fe, "d_obtain_alias" },
	{ 0xb82f4e96, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3fd5d7ed, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xdd45dd86, "finish_no_open" },
	{ 0xdede815, "__folio_start_writeback" },
	{ 0xec8560bd, "kill_litter_super" },
	{ 0x99bae574, "folio_end_writeback" },
	{ 0x2ceef6d0, "from_kuid" },
	{ 0x8b6f55f0, "current_in_userns" },
	{ 0x61bb0ff0, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xc1f38924, "sysfs_remove_mount_point" },
	{ 0x8bd663cf, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xcd45f404, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf378b692, "d_delete" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x21c4987c, "from_kgid_munged" },
	{ 0x670af1f8, "end_page_writeback" },
	{ 0x8aabd584, "kobject_create_and_add" },
	{ 0x4ba4112b, "down_read" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xcb220c9c, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f30f5f7, "nonseekable_open" },
	{ 0x3a4ff5e9, "set_page_dirty" },
	{ 0x20811aa9, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x14ef7095, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x394c4750, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x66982f64, "generic_read_dir" },
	{ 0x7cc947b7, "d_add" },
	{ 0x78e335be, "set_page_writeback" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x780c2ef0, "d_find_alias" },
	{ 0xf7b55f39, "invalidate_inode_pages2" },
	{ 0xf55b6907, "alloc_pages" },
	{ 0x9242c9d5, "inc_nlink" },
	{ 0x3c818f27, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc8391769, "get_tree_bdev" },
	{ 0x7b2fd96b, "set_anon_super_fc" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xbd392073, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x52242904, "generic_delete_inode" },
	{ 0x767badcd, "deactivate_locked_super" },
	{ 0x1570e9c0, "touch_atime" },
	{ 0xe24c4df, "__d_lookup_unhash_wake" },
	{ 0xf295a3e3, "set_page_dirty_lock" },
	{ 0xc3905758, "pid_nr_ns" },
	{ 0x4deb96c3, "generic_file_open" },
	{ 0x3bec8f37, "truncate_inode_pages_range" },
	{ 0x2ba67a1b, "__put_user_ns" },
	{ 0x9ea87b0a, "__folio_lock" },
	{ 0x38602db, "filemap_dirty_folio" },
	{ 0xbbd9b58e, "pagecache_get_page" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x751d3e9a, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xace7c2c7, "__wake_up_sync" },
	{ 0x44426711, "add_to_pipe" },
	{ 0x7a4d5c89, "__fs_parse" },
	{ 0x749ef6b2, "posix_acl_to_xattr" },
	{ 0xcbcc11b6, "dget_parent" },
	{ 0xabf0dfb3, "kill_anon_super" },
	{ 0xdca99715, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x675e6262, "iget5_locked" },
	{ 0xa8bb58c2, "security_dentry_init_security" },
	{ 0xebf04707, "filemap_write_and_wait_range" },
	{ 0x7c91e6be, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x36f7c100, "generic_write_checks" },
	{ 0xc619709b, "iov_iter_revert" },
	{ 0xaca8af29, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9dd129df, "mntget" },
	{ 0x1ad97bd5, "kmem_cache_alloc_lru" },
	{ 0xac6d378e, "filemap_fault" },
	{ 0x90a71227, "d_invalidate" },
	{ 0x2bbfb66e, "__mark_inode_dirty" },
	{ 0x2019564c, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb42ec49, "up_read" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xa14c7aa8, "iov_iter_npages" },
	{ 0x131bf882, "drop_nlink" },
	{ 0x9881529b, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x54d5da2b, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xdbb19080, "bdi_set_max_ratio" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x617e7ba4, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
