#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xff2664cc, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xaa59d1e0, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x28d76aba, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x42f465cb, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xa9fc6d53, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x80fc72f5, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x627c7729, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x531c9280, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xbcbcc0fc, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x610e8795, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x0a411e2f, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8d9258f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28625821, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x791a39b7, "init_net" },
	{ 0x5d690b23, "alloc_netdev_mqs" },
	{ 0x68931928, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x10428b52, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3a3f8b45, "rtnl_link_unregister" },
	{ 0xf666bc02, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x954be4aa, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xfbe7a2f8, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xd265d713, "netdev_state_change" },
	{ 0xa26af306, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7b16aa8d, "dst_cache_get" },
	{ 0xa2103f3a, "ip6_route_output_flags" },
	{ 0x51c6a9e9, "xfrm_lookup" },
	{ 0x92dff85d, "ipv4_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xe30cbda2, "skb_scrub_packet" },
	{ 0x4ebb9a8e, "skb_realloc_headroom" },
	{ 0x2451c83, "skb_set_owner_w" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xb3b9de23, "ipv6_push_frag_opts" },
	{ 0x7975f200, "skb_push" },
	{ 0x3325a781, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0xadc2bb01, "ip6_dst_hoplimit" },
	{ 0x389c3390, "ipv6_dev_get_saddr" },
	{ 0x90d4a67c, "neigh_destroy" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0x57ddded6, "ip6_redirect" },
	{ 0x146b051d, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c13f7da, "iptunnel_handle_offloads" },
	{ 0x9fb53b47, "icmpv6_ndo_send" },
	{ 0x22d53ae9, "icmp_ndo_send" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0xbfc935be, "skb_clone" },
	{ 0x41d39bab, "skb_pull" },
	{ 0x29493c77, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9fa05253, "gro_cells_receive" },
	{ 0xea4b7f96, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3ca8b98, "__iptunnel_pull_header" },
	{ 0x86b30333, "metadata_dst_alloc" },
	{ 0xc8c69639, "__xfrm_policy_check" },
	{ 0x7def2495, "ip_route_output_flow" },
	{ 0x64f53f0b, "ip_route_input_noref" },
	{ 0xcb89792, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe8a96425, "dev_get_tstats64" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x74829041, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfe3539e1, "ipv6_chk_addr_and_flags" },
	{ 0x62868fcb, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xdf45f7fa, "register_pernet_device" },
	{ 0xccc0f848, "xfrm6_tunnel_register" },
	{ 0xa26a9a4, "rtnl_link_register" },
	{ 0x271e65d2, "xfrm6_tunnel_deregister" },
	{ 0x9676169f, "unregister_pernet_device" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc0f4a8b, "unregister_netdevice_queue" },
	{ 0xe0e977c0, "rt6_lookup" },
	{ 0xad49da95, "dst_release" },
	{ 0x8d976896, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
