#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x2314c57f, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x773136f5, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x457314fc, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xc254ac97, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xc3f58ab9, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x458e84ad, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x515db5ec, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xb7754bb2, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x4cad7cd9, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x8a3fbb92, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xc032a0dc, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x1bd11eca, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x4f550ba6, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x65419ae0, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x805555b9, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xd375e0ad, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x30516cd6, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x6a32521a, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x6b311d2f, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x1b49f7a1, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xec01330e, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xe0c95ee0, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x6782585e, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x0eeff33a, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x71b0b7aa, "_gpl");
SYMBOL_CRC(print_tuple, 0xa9bb6849, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x8e8b3cc9, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x21511947, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xbaa34f3e, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xa8d43a24, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x670974b2, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x4cec8513, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x8ccbb08b, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xabef3ef2, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x20dcc808, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x6aef5967, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xce7c006d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xb3767825, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xbfef771f, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x12dd1471, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xa283aa0f, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x0e700f7e, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xba130189, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xd4817171, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xfd838f8a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x07398d4c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xe185f98f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xd5ebab50, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xeb478b52, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xc7e51147, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xde0a138b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x03542687, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xc296bbe7, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xf94f9ea4, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x9161af8c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x6590bbef, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x55081b42, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xa7f57080, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xc6d1d088, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xdf3efa63, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x66637286, "_gpl");
SYMBOL_CRC(nf_confirm, 0xac396f02, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x26bbe18f, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x17c770dd, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xa276dd0b, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x4b408bbe, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x643b751c, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xe24511fd, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x0ec880a8, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xc43ea12f, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xaf3d38a6, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xdb014dad, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x6a5dcb5c, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xf3aabe77, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xe9ab1f6c, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xec02bdd6, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xcf5545e1, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xe8894488, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x12905072, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x7c5141c3, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x6640320e, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xdc247919, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xee56fb63, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x4936ce47, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x25aa8258, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xc506f8fc, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xd9b687ef, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x55bcece0, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x1c1246ff, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xbb1fc48a, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x63b54ac5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8823d36, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x28b40185, "nf_defrag_ipv4_disable" },
	{ 0x560cd4d9, "nf_ip6_checksum" },
	{ 0x24425cb8, "proc_dou8vec_minmax" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0xe2c0b15e, "param_ops_uint" },
	{ 0xaa6eee7e, "proc_dointvec_jiffies" },
	{ 0xd1a97374, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97ff40ce, "nf_register_sockopt" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x9c6473ba, "nfct_btf_struct_access" },
	{ 0x7515a1ed, "param_set_uint" },
	{ 0x2cf31ddd, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9c46fec, "nf_ct_frag6_gather" },
	{ 0x49e62a1e, "get_net_ns_by_id" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0xd620d020, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd0d9cb50, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x364c7a31, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x383634b8, "nf_unregister_sockopt" },
	{ 0x15e8b7f3, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0x8d6fb7e1, "nf_defrag_ipv6_disable" },
	{ 0x3285ede2, "ipv6_skip_exthdr" },
	{ 0x1d43a6d1, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x8c699224, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2bf96f, "nf_checksum" },
	{ 0x3f9796cb, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x791a39b7, "init_net" },
	{ 0x774918a, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0x213da488, "mutex_lock" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x3aba8cef, "seq_putc" },
	{ 0x4efabdd8, "nla_put" },
	{ 0xd69c9118, "nf_checksum_partial" },
	{ 0x3fe04d4a, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x533ec29d, "nf_unregister_net_hooks" },
	{ 0xf098136e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7f7f9b54, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xe26b89c1, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x97ffba1, "nf_log_packet" },
	{ 0xcd45f404, "make_kgid" },
	{ 0xa42b15dc, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xefeb552, "register_btf_kfunc_id_set" },
	{ 0x8a9a384b, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ba4112b, "down_read" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xbef93f65, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb052a85a, "__skb_checksum" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4499023e, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x96b2577e, "param_ops_bool" },
	{ 0x20afaf57, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4fac4390, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x687f7e60, "proc_dointvec" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x884687a3, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x789092e6, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xddb1ff55, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x442d528c, "pskb_trim_rcsum_slow" },
	{ 0xeb42ec49, "up_read" },
	{ 0x67c0ac0a, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x4be5a941, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "2FADA31E400F81478A8E99B");
MODULE_INFO(rhelversion, "9.7");
