#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xece95bc0, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xb6d205c4, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x054857e2, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x3ba80868, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x50b8867c, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xf11df227, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x48688cb3, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xe9670384, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xf076f40e, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0xdf5f842c, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xa0c3847c, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x3b501756, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x0b8cda42, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xfa059356, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x24928250, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xbd254f83, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x12bb0199, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xed42dd53, "flow_rule_alloc" },
	{ 0xc353f1b2, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa9a75f31, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2441fe80, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xba00cfcf, "neigh_xmit" },
	{ 0xd771d339, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xbd4ced4f, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfc777264, "rhashtable_walk_enter" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd0d9cb50, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4ba533, "pskb_expand_head" },
	{ 0x364c7a31, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3120a98e, "down_write" },
	{ 0x923c4f07, "up_write" },
	{ 0x41d39bab, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9648e2b2, "dev_get_by_index" },
	{ 0x62868fcb, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0xf9bdd3df, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x19a2825a, "flow_indr_dev_setup_offload" },
	{ 0x2801d874, "rhashtable_walk_stop" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x7f7f9b54, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc282d463, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xd7d40590, "rhashtable_destroy" },
	{ 0x4ba4112b, "down_read" },
	{ 0x5a963021, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32eb7597, "rhashtable_insert_slow" },
	{ 0x11e543f8, "rt_read_lock" },
	{ 0x50958feb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x92dff85d, "ipv4_mtu" },
	{ 0x90d4a67c, "neigh_destroy" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x20afaf57, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd8c3205b, "rt_read_unlock" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0xc032a0dc, "nf_ct_acct_add" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xad49da95, "dst_release" },
	{ 0x66637286, "nf_ct_l4proto_find" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x5db4ad6b, "rhashtable_walk_next" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x55c96e92, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xeb42ec49, "up_read" },
	{ 0xf658f351, "rhashtable_walk_exit" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.7");
