#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x9360dd68, "");
SYMBOL_CRC(snd_timer_instance_free, 0x34984cfa, "");
SYMBOL_CRC(snd_timer_open, 0x52581197, "");
SYMBOL_CRC(snd_timer_close, 0x16679db0, "");
SYMBOL_CRC(snd_timer_resolution, 0xf4b6318f, "");
SYMBOL_CRC(snd_timer_start, 0xc9205ed8, "");
SYMBOL_CRC(snd_timer_stop, 0x0347f469, "");
SYMBOL_CRC(snd_timer_continue, 0xce0538a3, "");
SYMBOL_CRC(snd_timer_pause, 0xefc40681, "");
SYMBOL_CRC(snd_timer_interrupt, 0x4feea690, "");
SYMBOL_CRC(snd_timer_new, 0x1bf101e1, "");
SYMBOL_CRC(snd_timer_notify, 0xa424a50d, "");
SYMBOL_CRC(snd_timer_global_new, 0x7b5bd55b, "");
SYMBOL_CRC(snd_timer_global_free, 0x3304b33e, "");
SYMBOL_CRC(snd_timer_global_register, 0xda32230c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xe807d6ab, "snd_info_register" },
	{ 0xf820924b, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xa84a3b52, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xbdebeb67, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xa3cab18, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xc8812380, "snd_fasync_helper" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x2d8690bb, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xfbc8a736, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd64cfae8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8c699224, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x27603aea, "noop_llseek" },
	{ 0x213da488, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x52690ea, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xdae10be7, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x565159f2, "snd_device_alloc" },
	{ 0x55ad06a7, "snd_device_new" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xb3cf323b, "remove_wait_queue" },
	{ 0x751d3e9a, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0x4ab7d707, "snd_register_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "A02D128E220BAF278040FC0");
MODULE_INFO(rhelversion, "9.7");
