#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x1fdf0544, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x86e08335, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0xb1334750, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0xbbeba235, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0xe1293deb, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xbff7c8e9, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x5468cec3, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x7e6dff6b, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa0cc7215, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x39f3f464, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x871c3924, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x1a3ac01a, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x825e1420, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0xdadfe4f0, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0xb3c80606, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xe5be4cdc, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xecab0bf8, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x4878b08d, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xd2781815, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x74722bf6, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x314d4a66, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0xae1c4116, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x739f120b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xaaade0f9, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xfcab2896, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xa3198704, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xce66bc12, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x55baa5e8, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x16b2f1ca, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9af6abac, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x67d18f2a, "snd_soc_component_force_enable_pin" },
	{ 0x978b32d, "firmware_request_nowarn" },
	{ 0x7a97574e, "cs_dsp_cleanup_debugfs" },
	{ 0xe3e37066, "cs_dsp_coeff_read_ctrl" },
	{ 0x7be319f3, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x381fd389, "cs_dsp_stop" },
	{ 0x2b710ba3, "cs_dsp_adsp1_power_up" },
	{ 0x2467d1f9, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x98399c8a, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x40883ca, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x69495cad, "cs_dsp_init_debugfs" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x96e131d1, "cs_dsp_halo_bus_error" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e2980c7, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d86f085, "cs_dsp_find_alg_region" },
	{ 0xc80a07c, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd860132, "cs_dsp_get_ctl" },
	{ 0x4075a74a, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x213da488, "mutex_lock" },
	{ 0x2d3cd427, "cs_dsp_halo_init" },
	{ 0x55b9d50b, "cs_dsp_power_down" },
	{ 0x1756c144, "cs_dsp_adsp2_init" },
	{ 0x25aab631, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1a9d3c67, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x8b2b4ec9, "cs_dsp_set_dspclk" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7b123b59, "cs_dsp_power_up" },
	{ 0xaaab5807, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x8c024afc, "cs_dsp_run" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x15b7b955, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6c17abe, "cs_dsp_halo_wdt_expire" },
	{ 0x7d5b319e, "snd_soc_component_disable_pin" },
	{ 0x8e0e98d0, "snd_soc_bytes_tlv_callback" },
	{ 0x8f8c957f, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb9e0d63a, "cs_dsp_read_raw_data_block" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x58958504, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "39FD9C91EF284C6D7CC5478");
MODULE_INFO(rhelversion, "9.7");
