#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xdef3bbfc, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x045644b9, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xd1e5bf30, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xc66ebfd6, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x6044a712, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x291bd4b3, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x89ff6e63, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x53c85314, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xa3344c43, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xaa67f3b0, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x5be4b07d, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xea108cd4, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xc62cac38, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x81feda83, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x113372ab, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf4b181f2, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xb4f80192, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x68a057ac, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x26934f2b, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x342192c6, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x92565775, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x03b513c4, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x77f91851, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x0eb8d026, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xbe485262, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xf0b3f0b8, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xcd351d0f, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xc6a955e0, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x7c7c5672, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x29dee348, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x2c7bc1bc, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x6ea076fe, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x4c1c5c16, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xc5c784af, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xda42d6c0, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xd12945f8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x98705146, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xf4408222, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x0a24ff64, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x1dd493c2, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x6977636e, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x358a7b81, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xe3a938da, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x0047677b, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x2af83510, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x83492adc, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x09595590, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x394d4d79, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xbc34860a, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xa2455de4, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x3a414558, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xbbaa437b, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x2bfc4437, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xa8e3087e, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x7ad1fadc, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x0ff37790, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x4a777ffe, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x147881ef, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x430bfe82, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x7dde3744, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xa0bced65, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x8a537954, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xda1e3373, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xaf8e3b36, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x90d4293b, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x31600593, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xfc5278bb, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x6ddac316, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xc3fddf10, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xeef6d3ba, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x3be48c6d, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x9924fce7, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xf6f0bf07, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xae8f9346, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x4426ee04, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x47864d04, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x533e058c, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x3882d96b, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x109ab10a, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xaa60b3b6, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xa7824210, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x24e3c54e, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xee03442b, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xf5a1cfbf, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x6b46f895, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x4ea29826, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xcc7daaa0, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x71d3c194, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xca736764, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x9c3235e7, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x0240c264, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xb482e258, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc32182f5, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x2806c2ec, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xcf38b28e, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ab7e33, "bpf_trace_run4" },
	{ 0xd2bab019, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e65fd84, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa84a3b52, "dev_set_name" },
	{ 0x6c9761d8, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xea8d7e2c, "cdev_device_del" },
	{ 0xf6010593, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xa4305749, "device_unregister" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0xced9707b, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x5ead22f7, "device_initialize" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3f77ff20, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x8e65830c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x981ff170, "bpf_trace_run2" },
	{ 0x36173c1d, "phys_to_target_node" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x95158065, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x2d8690bb, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb85ce8b1, "platform_bus" },
	{ 0xab378118, "dev_driver_string" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0xe1be50b4, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x901d277f, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x3e0dac26, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xd64cfae8, "put_device" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe0ae81f2, "bus_for_each_dev" },
	{ 0x45366f6e, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x72af364a, "compat_ptr_ioctl" },
	{ 0x9f5d72e9, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x1117c9e8, "perf_trace_run_bpf_submit" },
	{ 0x6ca612dd, "sysfs_update_group" },
	{ 0x89be8907, "bus_unregister" },
	{ 0x3120a98e, "down_write" },
	{ 0xc0c44722, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x923c4f07, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa427fe3c, "debugfs_create_bool" },
	{ 0x947afbfc, "bus_find_device" },
	{ 0x6d811b9c, "device_add" },
	{ 0x195a18a0, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x41c53bb3, "simple_attr_release" },
	{ 0x9e7eb942, "xa_load" },
	{ 0x27603aea, "noop_llseek" },
	{ 0xa68ba1c2, "bpf_trace_run5" },
	{ 0x1acf6eb2, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x213da488, "mutex_lock" },
	{ 0x141e7f61, "kernfs_find_and_get_ns" },
	{ 0xf444dbb, "debugfs_remove" },
	{ 0x27ba1ff9, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0x52690ea, "ida_free" },
	{ 0xfef7bc46, "driver_unregister" },
	{ 0xb1a34980, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3428fa5b, "device_find_child" },
	{ 0xde290b62, "mutex_lock_interruptible" },
	{ 0xa6898b42, "devm_release_action" },
	{ 0x165fb0c, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7c9e1177, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc796f66c, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4ba4112b, "down_read" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xa2199844, "__xa_insert" },
	{ 0x8bea0e85, "xa_erase" },
	{ 0xce7ac711, "bpf_trace_run3" },
	{ 0x69accb86, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1c69aed5, "debugfs_create_file" },
	{ 0xee2a59aa, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x644214ea, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xee14f60e, "einj_cxl_available_error_type_show" },
	{ 0xf3873c86, "xa_destroy" },
	{ 0x27f85bb7, "xa_find" },
	{ 0xe12aaf61, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x277cb2de, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0x14ef3530, "xa_store" },
	{ 0xaece8346, "device_match_name" },
	{ 0x7064378, "einj_cxl_inject_error" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0xf64817c1, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xdd545c8, "pci_walk_bus" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xe7211bff, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0xb10700a7, "__devm_add_action" },
	{ 0xb4b85c45, "pci_find_dvsec_capability" },
	{ 0x7371c4d1, "device_find_child_by_name" },
	{ 0x6873314a, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4192edb2, "single_open" },
	{ 0x8ced398b, "pci_write_config_word" },
	{ 0xfba4a60c, "debugfs_create_dir" },
	{ 0xf1fb4347, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb42ec49, "up_read" },
	{ 0x5cd4de3b, "driver_register" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd8c7c1e8, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x29a1cd4, "pci_bus_type" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf4f46189, "bus_register" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "A817BA2FA461C2BBF82B58D");
MODULE_INFO(rhelversion, "9.7");
