#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x6f7cf1c9, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xfc100848, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x3ead77b3, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xdd4ff8a1, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0x1848cd14, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xd058aaf8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3a2a324, "drm_client_register" },
	{ 0x926f3f23, "try_module_get" },
	{ 0x70c8d45f, "drm_fb_helper_init" },
	{ 0xb50a92a0, "drm_fb_helper_debug_enter" },
	{ 0x7b8b422b, "drm_fb_helper_lastclose" },
	{ 0x8df5dfe8, "drm_fb_helper_setcmap" },
	{ 0xc0fd29db, "drm_fb_helper_alloc_info" },
	{ 0xfc6bcfc5, "drm_helper_disable_unused_functions" },
	{ 0x159f9b1b, "drm_fb_helper_unprepare" },
	{ 0x74abefac, "drm_fb_helper_fini" },
	{ 0xbdc2f9ad, "drm_client_framebuffer_delete" },
	{ 0xa97bbd02, "drm_client_framebuffer_create" },
	{ 0x2ef0e1e9, "drm_fb_helper_deferred_io" },
	{ 0x932bcbd0, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x971fcc3, "drm_driver_legacy_fb_format" },
	{ 0x97dff37, "drm_fb_helper_fill_info" },
	{ 0x574b7064, "fb_deferred_io_init" },
	{ 0xb179ae03, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab378118, "dev_driver_string" },
	{ 0xed88f114, "drm_fb_helper_hotplug_event" },
	{ 0x60a38280, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0b0cbc3, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x28fb1b71, "sys_imageblit" },
	{ 0x1b35d5e2, "drm_fb_helper_damage_range" },
	{ 0x337cccc4, "drm_fb_helper_blank" },
	{ 0x487e159d, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1a34447b, "drm_fb_helper_damage_area" },
	{ 0x800dab45, "sys_fillrect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x8c699224, "module_put" },
	{ 0x2107e42d, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa3365f36, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0xa6e2ef95, "drm_fb_helper_prepare" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x213da488, "mutex_lock" },
	{ 0xcdfc3ede, "__drm_dev_dbg" },
	{ 0x4ac7677e, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb291a0dd, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xbc102d61, "drm_client_release" },
	{ 0xb700b333, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3e0e1a8, "fb_sys_read" },
	{ 0xda2cf28c, "drm_fb_helper_debug_leave" },
	{ 0x54f7de79, "ttm_bo_mmap_obj" },
	{ 0x1fc9ebe8, "drm_client_buffer_vunmap_local" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xa97bba5b, "ttm_bo_vmap" },
	{ 0xc207abf6, "drm_client_buffer_vmap_local" },
	{ 0xdae2e5d6, "drm_fb_helper_initial_config" },
	{ 0xd495a2dd, "drm_fb_helper_unregister_info" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa967ce50, "drm_fb_helper_ioctl" },
	{ 0x8d485bf, "drm_fb_helper_set_par" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,ttm,syscopyarea");


MODULE_INFO(srcversion, "F653457A327B48F862D2EFD");
MODULE_INFO(rhelversion, "9.7");
