#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x6c785589, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x91a79450, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x7774796a, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xcdcfe305, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x689e77d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8823d36, "__do_once_done" },
	{ 0x1e57abf3, "ip6_route_input_lookup" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x89a72b45, "dev_pre_changeaddr_notify" },
	{ 0xdd5e9870, "dev_mc_sync" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x5fb64f, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe12150b1, "netdev_update_features" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xf666bc02, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x3214a1f8, "dev_uc_sync" },
	{ 0xa26a9a4, "rtnl_link_register" },
	{ 0x5f9fcdc0, "netif_inherit_tso_max" },
	{ 0x58039739, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7def2495, "ip_route_output_flow" },
	{ 0xdc0f4a8b, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x79dfd849, "dev_uc_unsync" },
	{ 0x71c081f9, "ether_setup" },
	{ 0xceed9cbf, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7eda5bc6, "netdev_upper_dev_link" },
	{ 0x364c7a31, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x75d9cb53, "netdev_rx_handler_unregister" },
	{ 0xe2d89a35, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x69471da6, "eth_header_cache_update" },
	{ 0x1d43a6d1, "nf_register_net_hooks" },
	{ 0xa2103f3a, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x64f53f0b, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d976896, "__dev_get_by_index" },
	{ 0x3a3f8b45, "rtnl_link_unregister" },
	{ 0x41d39bab, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0xcb6c44b8, "netif_stacked_transfer_operstate" },
	{ 0x86298366, "netdev_upper_dev_unlink" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x52690ea, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa26af306, "ns_capable" },
	{ 0x533ec29d, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9bc60581, "ethtool_op_get_link" },
	{ 0x64b17014, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x7f7f9b54, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xcd2c731c, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe30cbda2, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x50958feb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9818f62, "vlan_vid_add" },
	{ 0xe725bdbe, "call_netdevice_notifiers" },
	{ 0x11a9295f, "vlan_vid_del" },
	{ 0xa6624dbb, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbfc935be, "skb_clone" },
	{ 0xad49da95, "dst_release" },
	{ 0xc1d3f6a9, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1175792, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xd580ad48, "dev_mc_unsync" },
	{ 0xe69f633, "dev_change_flags" },
	{ 0x84273ae3, "netdev_core_stats_inc" },
	{ 0xca4a25e6, "dev_forward_skb" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfbe7a2f8, "register_netdevice" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DE37DC5C8DABDDDB3FEB4A1");
MODULE_INFO(rhelversion, "9.7");
