#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xe349e4cc, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x9dba9cf4, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xcba2c4d9, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xffeffbdf, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x0b2e9c93, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xdd0fdb86, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xd56880fb, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xb59b32a5, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xab51463f, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x02ec1afb, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x7fa454cb, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xdcabe256, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x6ef36f73, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x5a479c97, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x09b4a4a0, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x2c31fe1b, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x820ff0c5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x258f4089, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xbc631582, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xcbdd0d00, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x5b234c60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x468f0c4a, "mdiobus_write" },
	{ 0x4bdcf459, "mdiobus_read" },
	{ 0xdcc53823, "phy_write_mmd" },
	{ 0xf4ec3ef9, "phy_modify" },
	{ 0xcea72a3b, "phy_trigger_machine" },
	{ 0xb41d7b3f, "phy_error" },
	{ 0x80dd04c7, "phy_modify_changed" },
	{ 0xa141b83b, "genphy_update_link" },
	{ 0xdbfc6e56, "genphy_read_lpa" },
	{ 0x87ba985b, "phy_resolve_aneg_pause" },
	{ 0x987e924a, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0xb00235cf, "phy_read_mmd" },
	{ 0x780bbe0c, "ethnl_cable_test_result_with_src" },
	{ 0x1e259edf, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf67e4662, "phy_modify_mmd" },
	{ 0x94e4225e, "genphy_soft_reset" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
