#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xd3c2ee4b, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x957e661a, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xe70f2c2e, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x373a4fb8, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x0fc5a0c3, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xbd7fabb9, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x256a4290, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xf0c85754, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xeb1c44be, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xceed9cbf, "netdev_err" },
	{ 0x29671eb4, "idr_remove" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x66a6f5ac, "_copy_to_iter" },
	{ 0xccce9093, "iov_iter_advance" },
	{ 0x1dc51945, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xa9f7bb80, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xd67e860e, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8754c383, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd8c7c1e8, "cdev_init" },
	{ 0x53dbc91, "cdev_add" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xbed730, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1b7f9767, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xee65bd5e, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x359cba1e, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bdefa11, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7975f200, "skb_push" },
	{ 0x255ddc68, "__skb_gso_segment" },
	{ 0x218d5d84, "skb_checksum_help" },
	{ 0xedd98bdf, "kfree_skb_list_reason" },
	{ 0x48e306b1, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xdc87380e, "__skb_flow_dissect" },
	{ 0x466fbdf0, "skb_partial_csum_set" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xa14c7aa8, "iov_iter_npages" },
	{ 0x7677bd17, "_copy_from_iter" },
	{ 0x4232670d, "sock_alloc_send_pskb" },
	{ 0x1cc44685, "skb_put" },
	{ 0x460fd744, "zerocopy_sg_from_iter" },
	{ 0x50958feb, "__dev_queue_xmit" },
	{ 0xa2684018, "skb_copy_datagram_from_iter" },
	{ 0xc619709b, "iov_iter_revert" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0xc50ea29f, "build_skb" },
	{ 0x72af364a, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
