#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xc43a4917, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15d60bd3, "nvme_remove_admin_tag_set" },
	{ 0x426df961, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0x6dcfe28e, "nvme_uninit_ctrl" },
	{ 0x8004ba65, "ida_destroy" },
	{ 0x517a25e6, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfa0f877c, "nvmf_free_options" },
	{ 0x1426aa13, "nvmf_subsystem_reset" },
	{ 0xe94f81be, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xee495725, "nvme_stop_keep_alive" },
	{ 0x60df5209, "blk_mq_complete_request_remote" },
	{ 0x4e1ea489, "dma_unmap_page_attrs" },
	{ 0x8cd8081d, "nvme_setup_cmd" },
	{ 0x4c15a511, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xc19e28c9, "nvme_alloc_admin_tag_set" },
	{ 0xaaafc98f, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x54f8a075, "nvmf_reg_read32" },
	{ 0x7c9861e, "__wake_up" },
	{ 0xcdbb021e, "nvme_delete_ctrl" },
	{ 0x2d8690bb, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab378118, "dev_driver_string" },
	{ 0xe1b9bd6a, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x46ea1fba, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xea2e4e69, "nvme_remove_io_tag_set" },
	{ 0x3eefa1aa, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaf4c4550, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd9819609, "nvmf_unregister_transport" },
	{ 0x7e3cedb2, "blkcg_get_fc_appid" },
	{ 0xd64cfae8, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x945e5c64, "nvme_change_ctrl_state" },
	{ 0x4075a74a, "_dev_info" },
	{ 0x69841683, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7f4092e4, "nvme_alloc_io_tag_set" },
	{ 0xd15508e1, "nvme_fail_nonready_command" },
	{ 0x3ed3cd6e, "kobject_uevent_env" },
	{ 0xe6af0fc1, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x9e4abb19, "device_create" },
	{ 0xc5659ba6, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xd2e3ea62, "__blk_rq_map_sg" },
	{ 0x52690ea, "ida_free" },
	{ 0xfca9bef9, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x251830f9, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2928e207, "nvmf_connect_admin_queue" },
	{ 0xbcfd9cc8, "nvme_enable_ctrl" },
	{ 0x29bf120d, "nvme_unquiesce_admin_queue" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1de0325f, "nvme_unquiesce_io_queues" },
	{ 0x46e70434, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb32df06, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf8b1bbab, "nvmf_should_reconnect" },
	{ 0x8bad1478, "__dma_sync_single_for_device" },
	{ 0x27dd8a30, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x932baac5, "device_destroy" },
	{ 0x2f44cf6c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x182343cc, "nvmf_register_transport" },
	{ 0x773e9e42, "blk_mq_start_request" },
	{ 0x3a4a1b09, "nvme_quiesce_io_queues" },
	{ 0xf3fefe0c, "blk_mq_tagset_busy_iter" },
	{ 0xdd558434, "nvme_stop_ctrl" },
	{ 0x944d6418, "dma_unmap_sg_attrs" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xd9c975cb, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0x59c4be5c, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x87ec5719, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x703dbe2c, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd6272b5, "__nvme_check_ready" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xe1231ea3, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7fc057c, "nvme_add_ctrl" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.7");
