#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x879a30ce, "usb_kill_urb" },
	{ 0x6414a1d7, "usb_deregister" },
	{ 0x80c849bd, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xfa229273, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x25b3b03e, "usb_anchor_urb" },
	{ 0x26b7690f, "usb_submit_urb" },
	{ 0xbaf597fd, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12f31259, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xaa22c777, "usb_kill_anchored_urbs" },
	{ 0x61f9e810, "scsi_remove_host" },
	{ 0xbbe44101, "scsi_host_put" },
	{ 0xb6441d9d, "usb_lock_device_for_reset" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0x65487958, "scsi_host_alloc" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0xefeaf68c, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x459245bd, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8f5bcb1e, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x31646537, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0xc25b7ab2, "usb_set_interface" },
	{ 0x895ddf3c, "usb_reset_device" },
	{ 0x1b2b7d52, "usb_alloc_streams" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x96b2ff06, "scsi_report_bus_reset" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x63e5d472, "scsi_unblock_requests" },
	{ 0xb9c9fd26, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd2cb8350, "usb_wait_anchor_empty_timeout" },
	{ 0xb9df20c5, "scsi_block_requests" },
	{ 0x38f20142, "scmd_printk" },
	{ 0xeb348f1a, "scsi_print_command" },
	{ 0x38a92407, "usb_free_urb" },
	{ 0x7f63a18, "scsi_scan_host" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7c0d4a6, "sdev_prefix_printk" },
	{ 0x7f4bc04c, "scsi_change_queue_depth" },
	{ 0x7cf941a5, "scsi_is_host_device" },
	{ 0x89ec6649, "usb_get_urb" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "0DBE211FD75AFA475093DBC");
MODULE_INFO(rhelversion, "9.7");
