#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x88bc793b, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xd68cd3d4, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x0364d7a7, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x54d91a37, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x2fc0cc63, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xa8077c30, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xdfac06c2, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xc6aa2064, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xfebc5bf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcd140ca, "rpc_put_task" },
	{ 0xf20c9b2d, "svc_generic_rpcbind_set" },
	{ 0xd1f44dc1, "nfs_clone_server" },
	{ 0x3e15281f, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5aa2c53b, "filemap_fdatawrite" },
	{ 0xfe423be5, "nfs_show_stats" },
	{ 0x81d98da3, "ida_alloc_range" },
	{ 0xf718532d, "nfs_server_remove_lists" },
	{ 0xcffceba9, "generic_listxattr" },
	{ 0xdec8c267, "revert_creds" },
	{ 0x5847b66e, "nfs_writeback_update_inode" },
	{ 0xb927b21, "clear_inode" },
	{ 0x5ab7e33, "bpf_trace_run4" },
	{ 0xb058bf52, "user_destroy" },
	{ 0x5818b6a2, "idr_find" },
	{ 0xe2c0b15e, "param_ops_uint" },
	{ 0x4705065d, "user_revoke" },
	{ 0x3b6669b1, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd053a04b, "nfs_alloc_client" },
	{ 0xe7216b76, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x752497ea, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7c359377, "xdr_write_pages" },
	{ 0x3c0c54ef, "rpc_shutdown_client" },
	{ 0xb4c482dd, "svc_bind" },
	{ 0xf76078d9, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x453210bb, "nfs_free_inode" },
	{ 0xf0d797a2, "nfs_access_zap_cache" },
	{ 0xfe5fc597, "nfs_sb_deactive" },
	{ 0xf846bdf9, "nfs_wb_all" },
	{ 0x94562b47, "generic_file_splice_read" },
	{ 0x91547f1d, "__break_lease" },
	{ 0x79a93b36, "svc_recv" },
	{ 0x245d00cd, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc641c93c, "xdr_inline_decode" },
	{ 0x12efe827, "trace_raw_output_prep" },
	{ 0x8a56ea49, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0x818b05ef, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x97d85313, "nfs_mknod" },
	{ 0xbdd9acbe, "nfs_inode_attach_open_context" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0xf129e4e2, "rpc_localaddr" },
	{ 0xc11cb689, "rpc_wake_up" },
	{ 0x7822b013, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x492a3dc8, "idr_replace" },
	{ 0x50456f42, "nfs_lock" },
	{ 0x298523b3, "unregister_key_type" },
	{ 0x692998c5, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3e31ec17, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x359cba1e, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x22bb2a7b, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xf2bac4b7, "ihold" },
	{ 0xae16f43c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x82f9724e, "nfs_post_op_update_inode" },
	{ 0x70a22b43, "svc_exit_thread" },
	{ 0xf7a871ec, "iput" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x262bd170, "logfc" },
	{ 0x9c21377e, "iter_file_splice_write" },
	{ 0xbc03d995, "rpc_pton" },
	{ 0x35882bf, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf193575e, "rpc_wake_up_queued_task" },
	{ 0x981ff170, "bpf_trace_run2" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x49967711, "rpc_restart_call_prepare" },
	{ 0x92c1b742, "event_triggers_call" },
	{ 0x7c9861e, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb15f484b, "_copy_from_pages" },
	{ 0x895f3b66, "__module_get" },
	{ 0x9d876ed, "rpc_task_release_transport" },
	{ 0x5310ee10, "xdr_page_pos" },
	{ 0xef1bcf23, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xcf5fd292, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xbab1033b, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x185803f4, "register_key_type" },
	{ 0x4208b89f, "rpc_sleep_on" },
	{ 0x73aa7f9d, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2fff5f76, "keyring_alloc" },
	{ 0x5dc703, "nfs_create" },
	{ 0x2b40c7c2, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35d6a5db, "__put_cred" },
	{ 0x2f6e805c, "nfs_update_delegated_mtime" },
	{ 0xb937b0f0, "nfs_statfs" },
	{ 0x5564dd, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x8d2cb585, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e5d9d0d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe60c7637, "nfs_mkdir" },
	{ 0x5acd1b2f, "nfs_revalidate_inode" },
	{ 0x84308983, "nfs_file_mmap" },
	{ 0x174c196, "nfs_get_lock_context" },
	{ 0xe1947d3a, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xc8fc16ba, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc0e45bf, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x862a4b50, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe839211c, "trace_event_ignore_this_pid" },
	{ 0x3dafba1f, "make_kuid" },
	{ 0x2e70b051, "truncate_inode_pages_final" },
	{ 0xdf771e96, "generic_setlease" },
	{ 0x5cc936aa, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x15b96495, "xdr_stream_decode_string_dup" },
	{ 0xef6cba43, "locks_init_lock" },
	{ 0xb6ca58de, "rpc_destroy_pipe_data" },
	{ 0xd7b35f27, "nfs_get_client" },
	{ 0xee5a2d6d, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x4329fae1, "nfs_atomic_open" },
	{ 0xa879e4bf, "rpc_pipe_generic_upcall" },
	{ 0xd76d269c, "nfs_file_fsync" },
	{ 0x8c699224, "module_put" },
	{ 0x37e8db7a, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc06d962, "mntput" },
	{ 0xb1377f45, "nfs_put_lock_context" },
	{ 0xefe2fe60, "nfs_rename" },
	{ 0xfbc9d403, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xb6ed198a, "nfs_sysfs_link_rpc_client" },
	{ 0x5399eb32, "nfs_put_client" },
	{ 0x4a9d604f, "nfs_show_options" },
	{ 0xf6077020, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x44cb719a, "key_put" },
	{ 0xeb824622, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72cbaf4f, "get_nfs_open_context" },
	{ 0x1117c9e8, "perf_trace_run_bpf_submit" },
	{ 0xc1a90d7b, "nfs_clear_verifier_delegated" },
	{ 0x9c1a22fc, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3120a98e, "down_write" },
	{ 0xceadf8b1, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x971c5a49, "nfs_do_submount" },
	{ 0xf7cd2726, "vfs_dup_fs_context" },
	{ 0x923c4f07, "up_write" },
	{ 0x24ee870b, "request_key_with_auxdata" },
	{ 0xcea748cc, "rpc_clone_client_set_auth" },
	{ 0xce7f8de0, "rpc_clone_client" },
	{ 0xbc8617f9, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xcb62f037, "idr_alloc" },
	{ 0x8f93fb12, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9e796b58, "radix_tree_preloads" },
	{ 0x7094f5b3, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e6a984b, "put_fs_context" },
	{ 0xa933fabd, "nfs4_dentry_operations" },
	{ 0xb5f839b2, "__module_put_and_kthread_exit" },
	{ 0x1c6355aa, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x4d68f160, "nfs_client_for_each_server" },
	{ 0x7adc64cb, "nfs_clear_inode" },
	{ 0xe69c284c, "rpc_sleep_on_priority" },
	{ 0x3d3f4f7b, "nfs_invalidate_atime" },
	{ 0xa68ba1c2, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa4eb810c, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf1aadfd8, "nfs_getattr" },
	{ 0x213da488, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xdc3e0b1c, "nfs_zap_acl_cache" },
	{ 0x5e6b6616, "from_kgid" },
	{ 0x4aa83ffb, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x99840383, "nfs_write_inode" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x52690ea, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd0013d5e, "rpc_wake_up_first" },
	{ 0x64cfb1fb, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf823ee39, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x789af953, "nfs_path" },
	{ 0xc1a9f769, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3bdc961b, "nfs_create_rpc_client" },
	{ 0x786d22ed, "register_nfs_version" },
	{ 0x94abbaaf, "rpc_sleep_on_timeout" },
	{ 0x79171d03, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd005d564, "rpc_call_start" },
	{ 0x300d85a4, "bpf_trace_run1" },
	{ 0x54f312a1, "svc_create" },
	{ 0x6d1111f8, "nfs_file_set_open_context" },
	{ 0x527c1e0c, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x986c9d26, "rpc_call_sync" },
	{ 0x2ceef6d0, "from_kuid" },
	{ 0x4f673721, "rpc_put_task_async" },
	{ 0xae71a6ed, "rpc_prepare_reply_pages" },
	{ 0x103b094b, "rpc_queue_upcall" },
	{ 0x1317adad, "nfs_free_server" },
	{ 0x61bb0ff0, "fc_mount" },
	{ 0xe8fef7d3, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x14978c5, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6b535d69, "nfs4_fs_type" },
	{ 0x38813682, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x1985746c, "rpc_delay" },
	{ 0x9914bdd8, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d105c0e, "__init_waitqueue_head" },
	{ 0xbc5d88ad, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xe5a85d22, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xcd45f404, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0xacaedf6b, "rpc_remove_pipe_dir_object" },
	{ 0x45ba6f3e, "nfs_may_open" },
	{ 0x21c4987c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0x931a8e5, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ba4112b, "down_read" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0xc8412bd, "xdr_reserve_space" },
	{ 0x8e3934dd, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6b9e8c, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf71a0054, "nfs_rmdir" },
	{ 0xce7ac711, "bpf_trace_run3" },
	{ 0x65ae15e, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6c7a9d8f, "rpc_mkpipe_dentry" },
	{ 0x6e007c2d, "rpc_mkpipe_data" },
	{ 0x855c0c8d, "rpc_add_pipe_dir_object" },
	{ 0x394c4750, "igrab" },
	{ 0xeb8243f7, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x94eed68c, "nfs_async_iocounter_wait" },
	{ 0xe4fabee, "nfs_file_read" },
	{ 0xfa7a259, "trace_event_buffer_reserve" },
	{ 0xf79dcce, "nfs_alloc_fattr_with_label" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc2a0294f, "nfs_setattr_update_inode" },
	{ 0xa3f62a9a, "nfs_instantiate" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0xca960a89, "rpc_uaddr2sockaddr" },
	{ 0x4c750233, "user_read" },
	{ 0xe0489aec, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xf55b6907, "alloc_pages" },
	{ 0xc9711317, "svc_xprt_destroy_all" },
	{ 0xa9d0f2e6, "generic_key_instantiate" },
	{ 0x9242c9d5, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe0fbcdfa, "nfs_link" },
	{ 0x3c818f27, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x6139cb17, "rpcauth_stringify_acceptor" },
	{ 0xbd392073, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x3542499b, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x38a20f05, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x9492777a, "put_nfs_open_context" },
	{ 0x33d8fada, "nfs_show_path" },
	{ 0xa4050b0f, "nfs_show_devname" },
	{ 0xf0144199, "nfs_permission" },
	{ 0x2ba67a1b, "__put_user_ns" },
	{ 0xbe8d37a1, "cred_fscmp" },
	{ 0x494c4908, "rpc_unlink" },
	{ 0x687f7e60, "proc_dointvec" },
	{ 0xc216327b, "nfs_file_write" },
	{ 0x74b57a97, "nfs_probe_server" },
	{ 0x5054d999, "nfs_setsecurity" },
	{ 0x1b28a764, "rpc_clnt_test_and_add_xprt" },
	{ 0xa418f29a, "nfs_force_lookup_revalidate" },
	{ 0xe3081e61, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8f2ee96b, "rpc_clnt_add_xprt" },
	{ 0xcbcc11b6, "dget_parent" },
	{ 0xdca99715, "from_kuid_munged" },
	{ 0xb5793f4d, "prepare_kernel_cred" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0xf8ef6f66, "nfs_alloc_server" },
	{ 0x11410297, "rpc_call_async" },
	{ 0xebf04707, "filemap_write_and_wait_range" },
	{ 0x6c0091bb, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xdca4d19d, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf0049935, "rpc_init_pipe_dir_object" },
	{ 0x879b314, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x81bcba4c, "nfs_init_server_rpcclient" },
	{ 0x309a4689, "rpc_set_connect_timeout" },
	{ 0xb5e02849, "rpcauth_create" },
	{ 0xd89873d9, "xdr_stream_pos" },
	{ 0x5496b423, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xeb42ec49, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x52efad4, "svc_xprt_create" },
	{ 0xb67d75ca, "rpc_wait_for_completion_task" },
	{ 0x131bf882, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x51c47931, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x25567a44, "rpc_destroy_wait_queue" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xd89c5ddb, "nfs_fhget" },
	{ 0x6eee240e, "nfs_symlink" },
	{ 0x9dca6e5, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x121ed265, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8f8ccbfc, "nfs_set_verifier" },
	{ 0x4aa36af9, "proc_dointvec_minmax" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
