#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x26b12a92, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xd4b3449e, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x1d3f7a9f, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xcb5e75fe, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x0238bb5a, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x1ca5e991, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xa7b2caf1, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x268174b1, "");
SYMBOL_CRC(ip_vs_conn_put, 0x23389f0a, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xa9673b1b, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xebcef9e5, "");
SYMBOL_CRC(register_ip_vs_app, 0xd41a9753, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x096667cb, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x39fa9d72, "");
SYMBOL_CRC(ip_vs_proto_get, 0x39a6592b, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x1fe2273a, "");
SYMBOL_CRC(register_ip_vs_pe, 0xb60b2b49, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xf7c707a6, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x562bd666, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x643b751c, "nf_ct_ext_add" },
	{ 0x4cad7cd9, "nf_conntrack_find_get" },
	{ 0x926f3f23, "try_module_get" },
	{ 0xd578b3b1, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4f485e46, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb8a9c142, "skb_copy_bits" },
	{ 0x51c6a9e9, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa6eee7e, "proc_dointvec_jiffies" },
	{ 0xd1a97374, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfeca0ff4, "consume_skb" },
	{ 0xf666bc02, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x2441fe80, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97ff40ce, "nf_register_sockopt" },
	{ 0x3f0acd0f, "nla_put_64bit" },
	{ 0x26bbe18f, "nf_ct_netns_get" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x7a16ada6, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfa48378a, "kernel_bind" },
	{ 0xb0e06e34, "genlmsg_put" },
	{ 0xecafc5a6, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x71e4faad, "ip6_route_me_harder" },
	{ 0x94cf8c32, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x66f6036b, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x895f3b66, "__module_get" },
	{ 0x7def2495, "ip_route_output_flow" },
	{ 0xf9e08475, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3c13f7da, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x753012de, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd0d9cb50, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad4ba533, "pskb_expand_head" },
	{ 0x364c7a31, "register_pernet_subsys" },
	{ 0x5564dd, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x383634b8, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1d43a6d1, "nf_register_net_hooks" },
	{ 0xa2103f3a, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x5fe9c077, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18b2bc57, "kmem_cache_alloc" },
	{ 0x215da80d, "ipv6_sock_mc_join" },
	{ 0x8c699224, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x389c3390, "ipv6_dev_get_saddr" },
	{ 0x48e306b1, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x791a39b7, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x7e8b6c82, "sk_skb_reason_drop" },
	{ 0xc9189aa2, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xce7c006d, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x30516cd6, "nf_conntrack_alter_reply" },
	{ 0x3808d3b2, "ip_route_me_harder" },
	{ 0x213da488, "mutex_lock" },
	{ 0x7975f200, "skb_push" },
	{ 0x643e4d6, "kmem_cache_free" },
	{ 0x3aba8cef, "seq_putc" },
	{ 0x4efabdd8, "nla_put" },
	{ 0x421cac51, "proc_doulongvec_minmax" },
	{ 0xabef3ef2, "nf_ct_expect_alloc" },
	{ 0x3fe04d4a, "skb_ensure_writable" },
	{ 0x3f2acbc2, "iov_iter_kvec" },
	{ 0x893f4593, "ip_mc_join_group" },
	{ 0x6aef5967, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa26af306, "ns_capable" },
	{ 0x533ec29d, "nf_unregister_net_hooks" },
	{ 0x803977cd, "inet_select_addr" },
	{ 0x9676169f, "unregister_pernet_device" },
	{ 0xf098136e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd13f0513, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6da0aab, "kthread_stop" },
	{ 0x1bd11eca, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7f7f9b54, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2bb603f2, "kernel_connect" },
	{ 0x10b7dc7d, "skb_checksum" },
	{ 0xe26b89c1, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x29493c77, "__icmpv6_send" },
	{ 0x72f1c173, "__pskb_pull_tail" },
	{ 0xb7754bb2, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xefd03509, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf7843b9a, "skb_trim" },
	{ 0x83b23c12, "nf_hook_slow" },
	{ 0x56660f0c, "mutex_trylock" },
	{ 0x9d011997, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6b9e8c, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x12905072, "nf_ct_deliver_cached_events" },
	{ 0x4ebb9a8e, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x86a10fff, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcb89792, "__icmp_send" },
	{ 0x92dff85d, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x2451c83, "skb_set_owner_w" },
	{ 0xb052a85a, "__skb_checksum" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x39aa69d7, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd7bf643, "init_user_ns" },
	{ 0x20dcc808, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa52b85a1, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3acc5aed, "seq_printf" },
	{ 0xbf5f36c2, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6bbfb57b, "proc_create_net_single" },
	{ 0xf87a31f4, "ipv4_update_pmtu" },
	{ 0x4fac4390, "nf_defrag_ipv6_enable" },
	{ 0xad49da95, "dst_release" },
	{ 0x679fd0c3, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x687f7e60, "proc_dointvec" },
	{ 0xb543dec3, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x789092e6, "unregister_net_sysctl_table" },
	{ 0x1175792, "ip_local_out" },
	{ 0xd5fed2a6, "genl_unregister_family" },
	{ 0x6afe2490, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x7be1b674, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb40aab5b, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd9a4f2c9, "genl_register_family" },
	{ 0x99fc8de0, "kernel_sendmsg" },
	{ 0x17c770dd, "nf_ct_netns_put" },
	{ 0xdf45f7fa, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3a03b08c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x41d04ede, "kmem_cache_destroy" },
	{ 0x4be5a941, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4aa36af9, "proc_dointvec_minmax" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "805D23D20D952F468B96809");
MODULE_INFO(rhelversion, "9.7");
