#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x5acd08d6, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xd712b3cc, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x910bcda5, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x60ae4af5, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xafe097c6, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0xd5158b7c, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xab3d89b3, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x9955fabe, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x433b4697, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xf4086b9c, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xfec6570f, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x5bffd68f, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x2c7191b5, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xade1bfb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xca60b509, "device_property_present" },
	{ 0x4afbda51, "regcache_cache_only" },
	{ 0x97b8a7bc, "regcache_sync" },
	{ 0xb661aa3c, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x313b6eac, "snd_soc_jack_report" },
	{ 0x269fbd26, "rt_mutex_base_init" },
	{ 0x84eff71d, "gpiod_set_value_cansleep" },
	{ 0xb260ae31, "snd_pcm_hw_constraint_minmax" },
	{ 0x3512a1bd, "regcache_sync_region" },
	{ 0x1dab73ee, "snd_soc_put_enum_double" },
	{ 0x9a64724a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d1bf5f8, "devm_gpiod_get_optional" },
	{ 0x70fd51de, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfcbfc4db, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3bd68561, "device_property_read_u32_array" },
	{ 0x268c537a, "snd_soc_get_enum_double" },
	{ 0x4075a74a, "_dev_info" },
	{ 0xc7ceab33, "snd_soc_info_volsw" },
	{ 0xc9d88dc3, "regcache_drop_region" },
	{ 0xc1e0d55b, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x213da488, "mutex_lock" },
	{ 0x7be2cc48, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30051983, "snd_soc_info_enum_double" },
	{ 0x84b60df2, "snd_soc_get_volsw" },
	{ 0xab7fdc53, "regmap_read" },
	{ 0xe4b0ccc1, "snd_soc_put_volsw" },
	{ 0x6d154dba, "snd_soc_component_update_bits" },
	{ 0xaf965ef9, "__pm_runtime_resume" },
	{ 0xbee9bf71, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f2ca68, "regmap_bulk_read" },
	{ 0x55a84d5d, "regmap_update_bits_base" },
	{ 0x60f7698f, "dev_err_probe" },
	{ 0x1af8c893, "regmap_multi_reg_write" },
	{ 0x56d2e138, "__pm_runtime_suspend" },
	{ 0x94b947a2, "__mutex_rt_init" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x35be3b92, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.7");
